<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

class EventM_Event {

    public function __construct() {
        $page = isset($_GET['page']) ? $_GET['page'] : '';
        if ('em_dashboard' === $page) {
            $this->dashboard();
        } 
        else if('em_new_event'===$page){
            $this->new_event();
        }
        else if('event_magic' === $page) {
            $this->events();
        }
    }

    protected function dashboard() {
        $tab = isset($_GET['tab']) ? $_GET['tab'] : '';
        $post_id = isset($_GET['post_id']) ? absint($_GET['post_id']) : 0;
        if (empty($post_id)) {
            return;
        }
        $event_service= EventM_Factory::get_service('EventM_Service');
        $event= $event_service->load_model_from_db($post_id);
        if (!empty($tab)) {
            switch ($tab) {
                case 'setting': $this->setting();
                    break;
                case 'venue': $this->venue();
                    break;
                case 'performer': $this->performer();
                    break;
                case 'organizer': $this->organizer();
                    break;
                case 'social': $this->social_integration();
                    break;
            }
            do_action('event_magic_dashboard_' . $tab . '_tab', $event->id);
        } else {
            include_once('template/dashboard/dashboard.php');
        }
    }

    protected function venue() {
        $post_id = isset($_GET['post_id']) ? absint($_GET['post_id']) : 0;
        wp_enqueue_script('em-event-controller');
        include_once('template/dashboard/venue.php');
    }

    protected function performer() {
        $post_id = isset($_GET['post_id']) ? absint($_GET['post_id']) : 0;
        wp_enqueue_script('em-event-controller', plugin_dir_url(__DIR__) . '/admin/template/js/em-event-controller.js', false, EVENTPRIME_VERSION);
        include_once('template/dashboard/performers.php');
    }
    
    protected function organizer() {
        $post_id = isset($_GET['post_id']) ? absint($_GET['post_id']) : 0;
        wp_enqueue_script('em-event-controller', plugin_dir_url(__DIR__) . '/admin/template/js/em-event-controller.js', false, EVENTPRIME_VERSION);
        include_once('template/dashboard/organizer.php');
    }

    protected function setting() {
        $post_id = isset($_GET['post_id']) ? absint($_GET['post_id']) : 0;
        wp_enqueue_script('em-event-controller', plugin_dir_url(__DIR__) . '/admin/template/js/em-event-controller.js', false, EVENTPRIME_VERSION);
        include_once('template/dashboard/setting.php');
    }

    protected function social_integration() {
        $post_id = isset($_GET['post_id']) ? absint($_GET['post_id']) : 0;
        wp_enqueue_script('em-event-controller', plugin_dir_url(__DIR__) . '/admin/template/js/em-event-controller.js', false, EVENTPRIME_VERSION);
        include_once('template/dashboard/social.php');
    }
    
    protected function events() {
        $setting_service = EventM_Factory::get_service('EventM_Setting_Service');
        $gs = $setting_service->load_model_from_db();
        $locale = em_get_calendar_locale();
        wp_enqueue_script('em-event-controller');
        wp_localize_script('em-event-controller','em_calendar_data',array(
            'time_format'=>$gs->time_format,
            'week_start'=>get_option('start_of_week'),
            'locale'=>$locale
        ));
        wp_enqueue_script('em-full-calendar');
        wp_enqueue_script('em-full-calendar-locales');
        wp_enqueue_style('em-full-calendar-css');
        include_once('template/events.php');
    }

    protected function new_event(){
        wp_enqueue_script('em-event-controller');
        include_once('template/new_event.php');
    }
}

new EventM_Event;
