<?php
$post_id = isset($_GET['post_id']) ? absint($_GET['post_id']) : 0;
if (empty($post_id))
    return;
$booking_service = EventM_Factory::get_service('EventM_Booking_Service');
$bookings = $booking_service->get_by_event($post_id); // Rcent bookings
$em = event_magic_instance();
?>
<div class="ep-event-configuration-wrapper">
    <div class="ep-grid-top dbfl">
        <div class="ep-grid-title difl"><?php echo $event->name; ?></div>
        <span class="ep-fd-form-toggle difr" id="ep_form_toggle">
            <?php _e('Toggle Event', 'eventprime-event-calendar-management'); ?> →
            <?php $events = $event_service->get_all(); ?>
            <select id="ep-event-dropdown" onchange="em_goto_event_dashboard(this.value)">
                <?php foreach ($events as $ev): ?>
                    <option <?php echo $ev->id == $post_id ? 'selected' : '' ?> value="<?php echo $ev->id ?>"><?php echo $ev->name; ?></option>
                <?php endforeach; ?>
            </select>
        </span>
        
        <div class="ep-fd-all-form"><a href="<?php echo admin_url().'admin.php?page=event_magic'; ?>"><span><?php _e('← Back to All Events', 'eventprime-event-calendar-management'); ?></span></a></div>
    </div>   
    <?php if (isset($event->parent) && $event->parent > 0 && in_array('recurring_events',$em->extensions)) { ?>
    <div class="epnotice"><?php _e('This is a recurring event. Any custom changes you make to this event will be overridden if you make changes to the main event later. Bookings of this event will remain unaffected.', 'eventprime-event-calendar-management'); ?></div>
    <?php } ?>
    <div class="ep-grid difl">   
        <div class="ep-grid-section dbfl">
            <div class="ep-grid-section-title dbfl">Configure</div>

            <div class="ep-grid-icon difl" id="ep-event-settings">
                <a href="<?php echo admin_url("/admin.php?page=em_dashboard&tab=setting&post_id=$post_id") ?>" class="ep-dash-link">    
                    <div class="ep-grid-icon-area dbfl">
                        <img class="ep-grid-icon dibfl" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/kf-general-setting-icon.png' ?>">
                    </div>
                    <div class="ep-grid-icon-label dbfl"><?php _e('Event Settings', 'eventprime-event-calendar-management'); ?></div>
                </a>
            </div>


            <div class="ep-grid-icon difl" id="ep-event-site-location">
                <a href="<?php echo admin_url("/admin.php?page=em_dashboard&tab=venue&post_id=$post_id") ?>" class="ep-dash-link">    
                    <div class="ep-grid-icon-area dbfl">
                        <img class="ep-grid-icon dibfl" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/ep-event-site-location-icon.png' ?>">
                    </div>
                    <div class="ep-grid-icon-label dbfl"><?php _e('Event Site/Location', 'eventprime-event-calendar-management'); ?></div>
                </a>
            </div>

            <div class="ep-grid-icon difl" id="ep-event-performer">
                <a href="<?php echo admin_url("/admin.php?page=em_dashboard&tab=performer&post_id=$post_id") ?>" class="ep-dash-link">    
                    <div class="ep-grid-icon-area dbfl">
                        <img class="ep-grid-icon dibfl" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/ep-event-performer-icon.png' ?>">
                    </div>
                    <div class="ep-grid-icon-label dbfl"><?php _e('Performer(s)', 'eventprime-event-calendar-management'); ?></div>
                </a>
            </div>
            
            <div class="ep-grid-icon difl" id="ep-event-organizer">
                <a href="<?php echo admin_url("/admin.php?page=em_dashboard&tab=organizer&post_id=$post_id") ?>" class="ep-dash-link">    
                    <div class="ep-grid-icon-area dbfl">
                        <img class="ep-grid-icon dibfl" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/ep-event-organizer-icon.png' ?>">
                    </div>
                    <div class="ep-grid-icon-label dbfl"><?php _e('Organizer', 'eventprime-event-calendar-management'); ?></div>
                </a>
            </div>

            <?php do_action('event_magic_dashboard_seating_link', $post_id); ?>
            <?php do_action('event_magic_dashboard_sponser_link', $post_id); ?>
            <?php do_action('event_magic_dashboard_recurring_link', $post_id); ?>
            <?php do_action('event_magic_dashboard_early_bird_discount_link', $post_id); ?>

            <div class="ep-grid-icon difl" id="ep-social-integration">
                <a href="<?php echo admin_url("/admin.php?page=em_dashboard&tab=social&post_id=$post_id") ?>" class="ep-dash-link">    
                    <div class="ep-grid-icon-area dbfl">
                        <img class="ep-grid-icon dibfl" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/ep-social-integration.png' ?>">
                    </div>
                    <div class="ep-grid-icon-label dbfl"><?php _e('Social Integration', 'eventprime-event-calendar-management'); ?></div>
                </a>
            </div>

            <?php
            $extensions = $em->extensions;
            if (!in_array('sponser', $extensions) || !in_array('seating', $extensions) || !in_array('recurring_events', $extensions)) {
                ?>
                <div class="ep-grid-icon difl" id="ep-event-global-settings">
                    <a href="javascript:void(0)" class="ep-dash-link" onclick="showMore()">    
                        <div class="ep-grid-icon-area dbfl">
                            <img class="ep-grid-icon dibfl" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/dash-more-options.jpg' ?>">
                        </div>
                        <div class="ep-grid-icon-label dbfl"><?php _e('More', 'eventprime-event-calendar-management'); ?></div>
                    </a>
                </div>
                <div class="kikfyre">
                    <div class="ep_ext_promo_popup" style="display: none">
                        <div class="ep-modal-view">

                            <div class="ep-modal-overlay"></div>
                            <div class="ep-modal-wrap ep-fd-promo-popup">

                                <div class="ep-modal-titlebar">
                                    <div class="ep-modal-title"><?php _e('Extend Power of EventPrime', 'eventprime-event-calendar-management'); ?></div>
                                    <span class="ep-popup-close">&times;</span>
                                </div>

                                <div class="ep-dashboard-more ep-popup" style="display:none">

                                    <div class="ep-fd-promo-section" id="ep-fd-promo-config" >
                                        <div class="ep-fd-promo-subsection ep_fd_promo_subsect_tabs">
                                            <ul class="ep-fd-promo-section-icons ep-main-promo-section">
                                                <div class="ep-fd-promo-section-title"><?php _e('More Feature(s)', 'eventprime-event-calendar-management'); ?></div>
                                                <?php if (!in_array('seating', $extensions)): ?>
                                                            <li onmouseover="showExtFeatures(this, 'ep-ext-ticket-features', 'ep-ext-hover-features')"> <img  src="<?php echo EM_BASE_URL . 'includes/admin/template/images/ep-ticket-integration-icon.png' ?>"> <span class="ep-fd-promo-nub" style="display: none;"></span> </li>
                                                 <?php endif; ?> 
                                                  <?php if (!in_array('seating', $extensions)): ?>
                                                            <li onmouseover="showExtFeatures(this, 'ep-ext-seat-features', 'ep-ext-hover-features')"> <img  src="<?php echo EM_BASE_URL . 'includes/admin/template/images/ep-seating-integration-icon.png' ?>"> <span class="ep-fd-promo-nub" style="display: none;"></span> </li> 
                                               <?php endif; ?>
                                                <?php if (!in_array('sponser', $extensions)): ?>
                                                    <li onmouseover="showExtFeatures(this, 'ep-ext-sponser-features', 'ep-ext-hover-features')"> <img  src="<?php echo EM_BASE_URL . 'includes/admin/template/images/ep-event-sponser-icon.png' ?>"> <span class="ep-fd-promo-nub" style="display: none;"></span> </li>
                                                <?php endif; ?>
                                                <?php if (!in_array('recurring_events', $extensions)): ?>
                                                    <li onmouseover="showExtFeatures(this, 'ep-ext-recurring-features', 'ep-ext-hover-features')"> <img src="<?php echo EM_BASE_URL . 'includes/admin/template/images/ep-recurring-events-icon.png' ?>"> <span class="ep-fd-promo-nub" style="display: none;"></span> </li>
                                                <?php endif; ?>  
                                            </ul>
                                            <?php if (!in_array('seating', $extensions)): ?>
                                                   
                                                        <div class="ep-fd-promo-content-wrap ep-ext-hover-features" id="ep-ext-ticket-features" style="display:none">
                                                         <div class="ep-fd-promo-section-title"><?php _e('Ticket Manager', 'eventprime-event-calendar-management'); ?></div>

                                                         <div class="ep-fd-promo-content"><?php _e('Create and assign customizable ticket templates for your events to give booking tickets a unique look and feel. You can also allow volume discounts on tickets based on number of bookings.', 'eventprime-event-calendar-management'); ?></div>
                                                        </div>
                                            <?php endif; ?> 
                                             <?php if (!in_array('seating', $extensions)): ?>
                                                        <div class="ep-fd-promo-content-wrap ep-ext-hover-features" id="ep-ext-seat-features" style="display: none;">
                                                         <div class="ep-fd-promo-section-title"><?php _e('Live Seating', 'eventprime-event-calendar-management'); ?></div>

                                                            <div class="ep-fd-promo-content"><?php _e('Setup seating arrangement for your Event Sites with specific rows and columns of seats. Seating arrangement can also have walking aisles so attendees can pick and choose seats according to their convenience. Seat chosen by attendees upon booking will be visible on the assigned ticket template.', 'eventprime-event-calendar-management'); ?></div>
                                                        </div>                                              
                                             
                                            <?php endif; ?>  
                                            <?php if (!in_array('sponser', $extensions)): ?>
                                                <div class="ep-fd-promo-content-wrap ep-ext-hover-features" id="ep-ext-sponser-features" style="display:none">
                                                    <div class="ep-fd-promo-section-title"><?php _e('Event Sponsors', 'eventprime-event-calendar-management'); ?></div>
                                                    <div class="ep-fd-promo-content"><?php _e('Add Sponsors to your events by uploading Sponsor logos. The Sponsor logos will appear on the event page on the frontend.', 'eventprime-event-calendar-management'); ?></div>
                                                </div>
                                            <?php endif; ?>
                                            <?php if (!in_array('recurring_events', $extensions)): ?>
                                                <div class="ep-fd-promo-content-wrap ep-ext-hover-features" id="ep-ext-recurring-features" style="display:none">
                                                    <div class="ep-fd-promo-section-title"><?php _e('Recurring Events', 'eventprime-event-calendar-management'); ?></div>
                                                    <div class="ep-fd-promo-content"><?php _e('Create events that recur by your specified numbers of days, weeks, months, or years. Make updates to all recurring events at once by updating the main event. Or make custom changes to individual recurring events, such as different performers, event sites, booking amount etc.', 'eventprime-event-calendar-management'); ?></div>
                                                </div>
                                            <?php endif; ?> 
                                        </div>

                                    </div>

                                </div>

                                <div class="ep-modal-footer"><a href="admin.php?page=em_extensions" target="_blank">More Information</a></div>
                            </div>

                        </div>
                    </div>
                </div>
            <?php } ?>


        </div>

        <div class="ep-grid-section dbfl">
            <div class="ep-grid-section-title dbfl"><?php _e('Global Settings', 'eventprime-event-calendar-management'); ?></div>
            <div class="ep-grid-icon difl" id="ep-event-type">
                <a  target="_blank" href="<?php echo admin_url("/admin.php?page=em_event_types") ?>" class="ep-dash-link">    
                    <div class="ep-grid-icon-area dbfl">
                        <img class="ep-grid-icon dibfl" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/ep-event-type-icon.png' ?>">
                    </div>
                    <div class="ep-grid-icon-label dbfl"><?php _e('Event Types', 'eventprime-event-calendar-management'); ?></div>
                </a>
            </div>


            <div class="ep-grid-icon difl" id="ep-event-sites-locations">
                <a  target="_blank" href="<?php echo admin_url("/admin.php?page=em_venues") ?>" class="ep-dash-link">    
                    <div class="ep-grid-icon-area dbfl">
                        <img class="ep-grid-icon dibfl" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/ep-event-sites-location-icon.png' ?>">
                    </div>
                    <div class="ep-grid-icon-label dbfl"><?php _e('Event Sites & Locations', 'eventprime-event-calendar-management'); ?></div>
                </a>
            </div>

            <?php do_action('event_magic_dashboard_ticket_templates'); ?>

            <div class="ep-grid-icon difl" id="ep-event-attendees">
                <a  target="_blank" href="<?php echo admin_url("/admin.php?page=em_bookings") ?>" class="ep-dash-link">    
                    <div class="ep-grid-icon-area dbfl">
                        <img class="ep-grid-icon dibfl" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/ep-event-attendees-icon.png' ?>">
                    </div>
                    <div class="ep-grid-icon-label dbfl"><?php _e('Attendees', 'eventprime-event-calendar-management'); ?></div>
                </a>
            </div>


            <div class="ep-grid-icon difl" id="ep-event-performers">
                <a  target="_blank" href="<?php echo admin_url("/admin.php?page=em_performers") ?>" class="ep-dash-link">    
                    <div class="ep-grid-icon-area dbfl">
                        <img class="ep-grid-icon dibfl" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/ep-event-performers-icon.png' ?>">
                    </div>
                    <div class="ep-grid-icon-label dbfl"><?php _e('Performers', 'eventprime-event-calendar-management'); ?></div>
                </a>
            </div>


            <div class="ep-grid-icon difl" id="ep-event-global-settings">
                <a  target="_blank" href="<?php echo admin_url("/admin.php?page=em_global_settings") ?>" class="ep-dash-link">    
                    <div class="ep-grid-icon-area dbfl">
                        <img class="ep-grid-icon dibfl" src="<?php echo EM_BASE_URL . 'includes/admin/template/images/ep-event-global-settings-icon.png' ?>">
                    </div>
                    <div class="ep-grid-icon-label dbfl"><?php _e('Global Settings', 'eventprime-event-calendar-management'); ?></div>
                </a>
            </div>

        </div>
        
        <?php $external_integrations = apply_filters('ep_external_integrations',array());  ?>
        <?php if(!empty($external_integrations)): ?>
            <div class="ep-grid-section dbfl">
                <div class="ep-grid-section-title dbfl"><?php _e('Integrate','eventprime-event-calendar-management'); ?></div>
                <?php do_action('ep_ext_integrations',$post_id); ?>
            </div>
        <?php endif; ?>

    </div>


    <div class="ep-grid-sidebar-1 difl">

        <div class="ep-grid-section-cards dbfl">
            <?php
            foreach ($bookings as $booking) {
                $user = get_user_by('id', $booking->user);
                if (empty($user))
                    continue;
                ?>
                <div class="ep-grid-sidebar-card dbfl ep-grid-user-new">
                    <a href="<?php echo admin_url('admin.php?page=em_booking_add&post_id=' . $booking->id); ?>" class="ep-dash-link">
                        <div class="ep-grid-card-profile-image dbfl">
                            <img class="fd_img" src="<?php echo get_avatar_url($user->user_email); ?>">
                        </div>
                        <div class="ep-grid-card-content difl">
                            <div class="dbfl"><?php echo $user->user_email; ?></div>
                            <div class="ep-grid-card-content-subtext dbfl"><?php echo em_showDateTime($booking->date, true); ?></div></div>
                    </a>
                </div> 
            <?php } ?>
            <?php if (empty($bookings)): ?>
                <div class="ep-grid-sidebar-card dbfl ep-grid-user-new">
                    <?php _e('No bookings yet.', 'eventprime-event-calendar-management'); ?>
                </div>
            <?php endif; ?>
            <div class="ep-grid-quick-tasks dbfl">
                <div class="ep-grid-sidebar-row dbfl">
                    <div class="ep-grid-sidebar-row-label difl">
                        <a class="" href="<?php echo admin_url('admin.php?page=em_bookings&event=' . $post_id) ?>"><?php _e('View All', 'eventprime-event-calendar-management'); ?></a>
                    </div>
                </div>
            </div>   



        </div>


    </div>

    <div class="ep-grid-sidebar-2 difl">

        <div class="ep-grid-section dbfl">
            <div class="ep-grid-section-title dbfl">
                <?php _e('Status', 'eventprime-event-calendar-management'); ?> 
            </div> 
            <div class="ep-grid-sidebar-row dbfl">
                <div class="ep-grid-sidebar-row-icon difl" id="ep-sidebar-sc-icon">
                    <span class="dashicons dashicons-editor-code"></span>
                </div>
                <div class="ep-grid-sidebar-row-label difl"><?php _e('Shortcode', 'eventprime-event-calendar-management'); ?>:</div>
                <div class="ep-grid-sidebar-row-value difl"> <span id="emeventshortcode"><?php echo "[em_event id='" . $event->id . "']" ?></span><a href="javascript:void(0)" onclick="em_copy_to_clipboard(document.getElementById('emeventshortcode'))"><?php _e('Copy', 'eventprime-event-calendar-management'); ?></a>
                    <div style="display: none;" id="em_msg_copied_to_clipboard"><?php _e('Copied to clipboard.', 'eventprime-event-calendar-management'); ?></div>
                    <div style="display:none" id="em_msg_not_copied_to_clipboard"><?php _e('Could not be copied. Please try manually.', 'eventprime-event-calendar-management'); ?></div>
                </div> 

            </div>  


            <div class="ep-grid-sidebar-row dbfl">
                <div class="ep-grid-sidebar-row-icon difl">
                    <span class="dashicons dashicons-calendar-alt"></span>
                </div>
                <div class="ep-grid-sidebar-row-label difl"><?php _e('Start Date', 'eventprime-event-calendar-management'); ?>:</div>
                <div class="ep-grid-sidebar-row-value difl"><?php echo em_showDateTime($event->start_date, true); ?></div>
            </div>

        </div>
    </div>
</div>
