<?php
    $gs_service = EventM_Factory::get_service('EventM_Setting_Service');
    $gs_model = $gs_service->load_model_from_db();
    $frontend_page_link = get_page_link($gs_model->events_page);
    $tour_status = get_option(EM_GLOBAL_SETTINGS)['event_tour'];
    $em = event_magic_instance();
?>
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<div class="kikfyre ep-all-event" ng-app="eventMagicApp" ng-controller="eventCtrl" ng-init="initialize('list')" ng-cloak>
    <input id="em_tour-status" type="hidden" value="<?php echo $tour_status; ?>">
    <div class="kf_progress_screen" ng-show="requestInProgress"></div>
    <div class="kf-operationsbar dbfl" ng-hide="requestInProgress">
        <div class="kf-title difl">
            <?php $manager_navs = em_manager_navs(); ?>
            <select class="kf-dropdown" onchange="em_manager_nav_changed(this.value)">
                <?php foreach ($manager_navs as $nav): ?>
                    <option <?php echo $nav['key'] == 'events' ? 'selected' : ''; ?> value="<?php echo $nav['key']; ?>"><?php echo $nav['label']; ?></option>
                <?php endforeach; ?>
            </select>	
        </div>
        <div class="difr ep-support-links" id="em_support_link"><a target="__blank" href="https://eventprime.net/contact/"><?php _e('Submit Support Ticket', 'eventprime-event-calendar-management'); ?></a></div>
        <div class="difr ep-support-links" id="em_frontend_link"><a target="__blank" href="<?php echo $frontend_page_link; ?>"><?php _e('Frontend', 'eventprime-event-calendar-management'); ?></a></div>
        <div class="difr ep-support-links"><a id="tour_link" href="#" ng-click="event_tour()"><?php _e('Tour','eventprime-event-calendar-management'); ?></a></div>
        <div class="kf-nav dbfl">
            <ul class="dbfl">
                <li id="em_add_new_link"><a ng-click="addNewPopup()"><?php _e('Add New', 'eventprime-event-calendar-management'); ?></a></li>
                <li id="em_duplicate_link" ng-show="eventView == 'cards'"><button class="em_action_bar_button" ng-click="duplicatePosts()" ng-disabled="selectedAll || selections.length == 0" ><?php _e('Duplicate', 'eventprime-event-calendar-management'); ?></button></li>
                <li id="em_delete_link" ng-show="eventView == 'cards'"><button class="em_action_bar_button" ng-click="deletePost()" ng-disabled="selections.length == 0" ><?php _e('Delete', 'eventprime-event-calendar-management'); ?></button></li>
                <li id="em_select_events" ng-show="eventView == 'cards'"><input type="checkbox" id="em_select_all" ng-model="selectedAll" ng-click="checkAll()" ng-true-value='true'/><label for="em_select_all"><?php _e('Select All', 'eventprime-event-calendar-management'); ?></label></li>
                <li id="em_hide_link" ng-show="eventView == 'cards'"><input type="checkbox" ng-model="data.hideExpired" ng-click="prepareEventListPage(hideExpired)" ng-true-value="1" id="hide_expired"/><label for="hide_expired"><?php _e('Hide Past Events', 'eventprime-event-calendar-management'); ?></label></li>
                <li id="em_guide_link"><a target="_blank" href="https://eventprime.net/starter-guide/"><?php _e('Starter Guide','eventprime-event-calendar-management'); ?> <span class="dashicons dashicons-book-alt"></span></a></li>
                <li id="em_view_selector" class="kf-toggle difr"><?php _e('View As', 'eventprime-event-calendar-management'); ?>
                    <select class="kf-dropdown" ng-change="changeEventView()" ng-model="default_view">
                        <option value="month"><?php _e('Month', 'eventprime-event-calendar-management'); ?></option>
                        <option value="basicWeek"><?php _e('Week', 'eventprime-event-calendar-management'); ?></option>
                        <option value="basicDay"><?php _e('Day', 'eventprime-event-calendar-management'); ?></option>
                        <option value="listWeek"><?php _e('List', 'eventprime-event-calendar-management'); ?></option>
                        <option value="cards"><?php _e('Cards', 'eventprime-event-calendar-management'); ?></option>
                    </select>
                </li>
            </ul>
        </div>
    </div>
    <div ng-hide="requestInProgress">
        <div class="difl em-calendar-info epnotice" ng-show="eventView != 'cards'">
            <?php _e('Click on any date in the calendar to create an event starting from that date. Drag and drop events from one date to another for quick date changes.', 'eventprime-event-calendar-management'); ?>
        </div>
        <?php if (in_array('recurring_events',$em->extensions)) { ?>
        <div class="difl em-calendar-info epnotice" ng-show="eventView != 'cards'">
            <?php _e('Any custom changes made to recurring events will be overridden if changes are made to the main event later. Bookings for those recurring events will remain unaffected.', 'eventprime-event-calendar-management'); ?>
        </div>
        <?php } ?>
    </div>
    <!-------------------------------- Calendar View ------------------------------------->
    <div ng-show="eventView != 'cards'">
        <!----- Calendar container ------->
        <div class="ep_calendar-wrap">
            <div id="em_calendar" class="ep-event-calendar dbfl"></div>
        </div>


    </div>
    <!-------------------------------- Calendar View ends here----------------------------->

    <div ng-show="eventView == 'cards'">
        <div class="kf-cards dbfl emagic-event-cards">

            <!---------------Single Card Loop--------------------->
            <div class="kf-card difl" ng-repeat="post in data.posts" ng-class="{'emcard-expired':post.is_expired}">
                <div ng-if="post.cover_image_url" class="kf_cover_image dbfl">
                    <img ng-show="post.cover_image_url" ng-src="{{post.cover_image_url}}" />
                </div>
                <div ng-if="!post.cover_image_url" class="kf_cover_image dbfl">
                    <img  ng-src="<?php echo esc_url(plugins_url('/images/event_dummy.png', __FILE__)) ?>" />
                </div>
                <div class="kf-card-content dbfl">
                    <div class="kf-card-title kf-wrap dbfl" title="{{post.name}}">
                        <input type="checkbox"  ng-model="post.Selected" ng-click="selectPost(post.id)"  ng-true-value="{{post.id}}" ng-false-value="0" id="{{post.name}}">
                        <label for="{{post.name}}">{{post.name}}</label>
                    </div>
                    <div class="kf-card-info kf-wrap dbfl" ng-show="post.venue_name"><?php _e('at', 'eventprime-event-calendar-management'); ?>
                        <span title="{{post.venue_name}}"> {{post.venue_name}}</span>
                    </div>
                    <div class="kf-card-info kf-wrap dbfl em_event_date">
                        <span>{{post.between}}</span>
                    </div> 
                    <div class="kf-event-progress dbfl" ng-show="post.capacity > 0"> 
                        <?php _e('Booked', 'eventprime-event-calendar-management'); ?> {{post.sum}}/{{post.capacity}}
                        <div class="kf-progressbar-bg dbfl" data-sums='{{post.sum}}' data-total='{{post.capacity}}'>
                            <div ng-style="getProgressStyle(post)" class="kf-progressbar" ></div>
                        </div>
                    </div>  
                    <div class="event-progress" ng-show="post.capacity == 0 && post.sum > 0">
                        <?php _e('Booked', 'eventprime-event-calendar-management'); ?> {{post.sum}}
                    </div>  
                    <!-- Shortcodes -->
                    <div class="ep-event-shortcode dbfl">[em_event id="{{post.id}}"]</div>

                    <div class="ep-card-info">
                        <div class="ep-card-event-dash difl">
                            <a ng-href="<?php echo admin_url('/admin.php?page=em_dashboard'); ?>&post_id={{post.id}}"><?php _e('Dashboard', 'eventprime-event-calendar-management'); ?></a>
                        </div>
                        
                          <div class="ep-card-event-setting difl">
                            <a ng-href="<?php echo admin_url('/admin.php?page=em_dashboard&tab=setting'); ?>&post_id={{post.id}}"><?php _e('Settings', 'eventprime-event-calendar-management'); ?></a>
                        </div>

                    </div>    
                </div>
                <!---------------Card Loop ends here--------------------->

                <!---------------Empty card if data not available--------------------->
                <div class="em_empty_card" ng-show="data.posts.length == 0">
                    <?php _e('The Events you create will appear here as neat looking Event Cards. Presently, you do not have any event scheduled.', 'eventprime-event-calendar-management'); ?>
                </div>
            </div>   

            <!-------------------Card pagination----------------------->
            <div class="kf-pagination dbfr" ng-show="data.posts.length != 0"> 		
                <ul>		
                    <li class="difr" dir-paginate="post in data.total_posts | itemsPerPage: data.pagination_limit"></li>		
                </ul>
                <dir-pagination-controls on-page-change="pageChanged(newPageNumber)"></dir-pagination-controls>		
            </div>
        </div>
    </div>
    <!----- New Event Popup ------->
    <div ng-show="addNewClicked" id="newPopup">
        <div class="kikfyre kf-container">
            <div class="ep-modal-view">
                <div class="ep-modal-overlay" ng-click="addNewClicked = false;"></div> 
                <div class="ep-modal-wrap ep-add-newevent">
                    <form  name="calendarForm" ng-submit="savePopupEvent(calendarForm.$valid)" novalidate >
                        <div class="ep-modal-titlebar">
                            <div class="ep-modal-title"><?php _e('Add New Event', 'eventprime-event-calendar-management'); ?></div>
                            <span class="ep-modal-close" ng-click="addNewClicked = false;" >&times;</span>
                        </div>

                        <div class="kf_progress_screen" ng-show="requestInProgress"></div>

                        <div class="emrow">
                            <div class="eminput">
                                <input type="text" ng-model="calendarNewEventPopup.title" placeholder="<?php _e('Add Event Title...', 'eventprime-event-calendar-management'); ?>" />
                            </div>
                        </div>

                        <div class="emrow">
                            <div class="eminput">
                                <input type="text" readonly ng-model="calendarNewEventPopup.start_date" id="new_calendar_start_date" ng-model="calendarNewEventPopup.start_date" />
                                -
                                <input type="text" readonly ng-model="calendarNewEventPopup.end_date" id="new_calendar_end_date" ng-model="calendarNewEventPopup.end_date" />
                            </div>
                        </div>

                        <div class="emrow">
                            <div class="eminput">
                                <label><input type="checkbox" ng-model="calendarNewEventPopup.all_day" ng-model="calendarNewEventPopup.all_day" ng-true-value="1" ng-false-value="0"><?php _e('All Day', 'eventprime-event-calendar-management'); ?></label>
                            </div>
                        </div>
                        
                        <div class="emrow">
                            <div class="eminput">
                                <label><input type="checkbox" ng-model="calendarNewEventPopup.enable_booking" ng-true-value="1" ng-false-value="0"><?php _e('Enable Bookings', 'eventprime-event-calendar-management'); ?></label>
                            </div>
                            <div class="emwarning" ng-show="calendarNewEventPopup.enable_booking==1">
                                <i class="fa fa-info-circle" aria-hidden="true"></i>
                                <?php _e('Bookings will open immediately and close once the event begins. You can set custom booking dates from the Event Settings.', 'eventprime-event-calendar-management'); ?>
                            </div>
                        </div>
                        
                        <div class="emrow" ng-show="calendarNewEventPopup.enable_booking==1">
                            <div class="epinputicon">&nbsp;</div>
                            <div class="eminput">
                                <span class="em_price_symbol ng-binding"><?php echo em_currency_symbol(); ?></span> 
                                <input id="new_calendar_booking_price" type="number" ng-model="calendarNewEventPopup.ticket_price" min="0">
                            
                              <?php if (!em_is_payment_gateway_enabled()) { ?>
                            <div class="emwarning"><i class="fa fa-info-circle" aria-hidden="true"></i>
                                <?php _e(
                                    sprintf(
                                        'Configure payment gateway from %sGlobal Settings%s before adding booking price here. Payment gateway is not required for 0 booking price.',
                                        '<a href="' . add_query_arg('page', 'em_global_settings', admin_url().'admin.php') . '" target="_blank">',
                                        '</a>'
                                    ),
                                    'eventprime-event-calendar-management');
                                ?>
                            </div>
                            <?php } ?>
                            </div>
                        </div>

                        <?php do_action('event_magic_popup_custom_settings'); ?>
                        
                        <div class="emrow" ng-show="calendarNewEventPopup.performers.length>0">
                            <div class="emlabel"><?php _e('Select Performers','eventprime-event-calendar-management'); ?></div>
                            <div class="eminput">
                                <select name="performer" class="emmultiselect" ie-select-fix="calendarNewEventPopup.performers"  ng-model="calendarNewEventPopup.performer" multiple ng-options="performer.id as performer.name for performer in calendarNewEventPopup.performers"></select>
                            </div>
                        </div>

                        <div class="emrow" ng-if="calendarNewEventPopup.venues.length>0">
                            <div class="eminput">
                                <select name="venue" ie-select-fix="calendarNewEventPopup.venues"  ng-model="calendarNewEventPopup.venue" ng-options="venue.id as venue.name for venue in calendarNewEventPopup.venues"></select>
                            </div>
                        </div>
                        
                        <div class="emrow" ng-if="calendarNewEventPopup.event_types.length>0">
                            <div class="eminput">
                                <select name="event_type" ie-select-fix="calendarNewEventPopup.event_types"  ng-model="calendarNewEventPopup.event_type" ng-options="event_type.id as event_type.name for event_type in calendarNewEventPopup.event_types"></select>
                            </div>
                        </div>
                        
                        <div class="emrow">
                            <div class="emlabel"><?php _e('Status','eventprime-event-calendar-management'); ?></div>
                            <div class="eminput">
                                <select name="status" ie-select-fix="calendarNewEventPopup.status_list" ng-model="calendarNewEventPopup.status" ng-options="status_list.key as status_list.label for status_list in calendarNewEventPopup.status_list"></select>
                            </div>
                        </div>
                        
                        <div class="form_errors">
                            <ul>
                                <li class="emfield_error" ng-repeat="error in  formErrors">
                                    <span>{{error}}</span>
                                </li>
                            </ul>  
                        </div>
                        <div class="dbfl emrow kf-popup-button-area">
                            <div ng-show="calendarNewEventPopup.id > 0"><a ng-href="<?php echo admin_url('admin.php?page=em_dashboard') ?>&post_id={{calendarNewEventPopup.id}}"><?php _e('Dashboard', 'eventprime-event-calendar-management') ?></a></div>
                            <div><button type="submit" class="btn btn-primary" ng-disabled="calendarForm.$invalid || requestInProgress"><?php _e('Save', 'eventprime-event-calendar-management'); ?></button></div>
                        </div>
                        
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="ep-modal-wrap" id="calendarPopup" ng-show="calendarDayClicked">
        <form  name="calendarForm" ng-submit="savePopupEvent(calendarForm.$valid)" novalidate >
            <div class="ep-modal-titlebar">
                <div class="ep-modal-title" id="em_edit_event_title" data-text="<?php _e('Add Event Title...', 'eventprime-event-calendar-management'); ?>" contenteditable="true">{{calendarNewEventPopup.title}}</div>

                <span class="ep-modal-close" ng-click="calendarDayClicked = false;" >&times;</span>
            </div>

            <div class="kf_progress_screen" ng-show="requestInProgress"></div>
        
            <div class="emrow" style="display:none">
                <div class="epinputicon"><i class="material-icons">add_box</i></div>
                <div class="eminput">
                    <input type="text" ng-model="calendarNewEventPopup.title" placeholder="<?php _e('Add Title', 'eventprime-event-calendar-management'); ?>" />
                </div>
            </div>

            <div class="emrow">
                <div class="epinputicon"><i class="material-icons">schedule</i></div>
                <div class="eminput">
                    <input type="text" readonly ng-model="calendarNewEventPopup.start_date" id="calendar_start_date" ng-model="calendarNewEventPopup.start_date" />
                    -
                    <input type="text" readonly ng-model="calendarNewEventPopup.end_date" id="calendar_end_date" ng-model="calendarNewEventPopup.end_date" />
                </div>
            </div>

            <div class="emrow">
                <div class="epinputicon">&nbsp;</div>
                <div class="eminput">
                    <input type="checkbox" ng-model="calendarNewEventPopup.all_day" ng-model="calendarNewEventPopup.all_day" ng-true-value="1" ng-false-value="0" /> <?php _e('All Day', 'eventprime-event-calendar-management'); ?>
                </div>
            </div>
            
            <div class="emrow">
                     <div class="epinputicon epbooking-icon"><i class="material-icons">monetization_on</i></div>
                <div class="eminput">
                    <label><input type="checkbox" ng-model="calendarNewEventPopup.enable_booking" ng-true-value="1" ng-false-value="0"><?php _e('Enable Bookings', 'eventprime-event-calendar-management'); ?></label>
                
                
                 <div class="emwarning" ng-show="calendarNewEventPopup.enable_booking==1 && calendarNewEventPopup.start_booking_date==''">
                    <i class="fa fa-info-circle" aria-hidden="true"></i>
                    <?php _e('Bookings will open immediately and close once the event begins. You can set custom booking dates from the Event Settings.', 'eventprime-event-calendar-management'); ?>
                </div>
                </div>
               
            </div>
                        
            <div class="emrow" ng-show="calendarNewEventPopup.enable_booking==1">
                    <div class="epinputicon">&nbsp;</div>
                <div class="eminput">
                    <span class="em_price_symbol ng-binding"><?php echo em_currency_symbol(); ?></span>
                    <input id="calendar_booking_price" type="number" ng-model="calendarNewEventPopup.ticket_price" min="0">
                
                    <?php if (!em_is_payment_gateway_enabled()) { ?>
                <div class="emwarning">
                    <i class="fa fa-info-circle" aria-hidden="true"></i>
                    <?php _e(
                        sprintf(
                            'Configure payment gateway from %sGlobal Settings%s before adding booking price here. Payment gateway is not required for 0 booking price.',
                            '<a href="' . add_query_arg('page', 'em_global_settings', admin_url().'admin.php') . '" target="_blank">',
                            '</a>'
                        ),
                        'eventprime-event-calendar-management');
                    ?>
                </div>
                <?php } ?>
                
                </div>
            </div>

            <?php do_action('event_magic_popup_custom_settings_edit'); ?>
            
            <div class="emrow" ng-show="calendarNewEventPopup.performers.length>0">
                <div class="epinputicon"><i class="material-icons">person_add</i></div>
                <div class="eminput">
                    <select name="performer" class="emmultiselect" ie-select-fix="calendarNewEventPopup.performers"  ng-model="calendarNewEventPopup.performer" multiple ng-options="performer.id as performer.name for performer in calendarNewEventPopup.performers"></select>
                </div>
            </div>

            <div class="emrow" ng-if="calendarNewEventPopup.venues.length>0">
                <div class="epinputicon ep-add-location"><i class="material-icons">add_location</i></div>
                <div class="eminput">
                    <select name="venue" ie-select-fix="calendarNewEventPopup.venues" ng-model="calendarNewEventPopup.venue" ng-options="venue.id as venue.name for venue in calendarNewEventPopup.venues"></select>
                </div>
            </div>
            
            <div class="emrow" ng-if="calendarNewEventPopup.event_types.length>0">
                <div class="epinputicon ep-add-location"><i class="material-icons">style</i></div>
                <div class="eminput">
                    <select name="event_type" ie-select-fix="calendarNewEventPopup.event_types" ng-model="calendarNewEventPopup.event_type" ng-options="event_type.id as event_type.name for event_type in calendarNewEventPopup.event_types"></select>
                </div>
            </div>
            
            <div class="emrow">
                <div class="epinputicon ep-add-location"><i class="material-icons">new_releases</i></div>
                <div class="eminput">
                    <select name="status" ie-select-fix="calendarNewEventPopup.status_list" ng-model="calendarNewEventPopup.status" ng-options="status_list.key as status_list.label for status_list in calendarNewEventPopup.status_list"></select>
                </div>
            </div>
            
            <?php do_action('ep_admin_event_popup'); ?>
            
            <div class="form_errors">
                <ul>
                    <li class="emfield_error" ng-repeat="error in  formErrors">
                        <span>{{error}}</span>
                    </li>
                </ul>  
            </div>
            <div class="dbfl emrow kf-popup-button-area">
                <div ng-show="calendarNewEventPopup.id > 0" class="epcalendarPopup-dash"><a ng-href="<?php echo admin_url('admin.php?page=em_dashboard') ?>&post_id={{calendarNewEventPopup.id}}"><?php _e('Dashboard', 'eventprime-event-calendar-management') ?></a></div>
                <div class="epcalendarPopup-save"><button type="submit"  ng-disabled="calendarForm.$invalid || requestInProgress"><?php _e('Save', 'eventprime-event-calendar-management'); ?></button></div>
            </div>
        </form>
    </div>
    <ol id="em-events-joytips">
        <li><?php _e('<h5>Welcome to EventPrime!</h5><br>This begins a tour of Eventprime\'s Event Manager screen, giving you a quick overview of the interface and how to make best use of it.<br><br>Click the <strong>Next</strong> button to get started.<br><br>You can close this tour at any step by clicking the <strong>X</strong> icon in the top-right of the tour popup.<br><br>','eventprime-event-calendar-management'); ?></li>
        <li data-class="kf-title" data-prev-text="Back"><?php _e('<h5>Title</h5><br>This is the Title of the screen, telling you on which EventPrime screen you are.<br><br>In addition to being the Title, this is also a dropdown menu from where you can navigate to other screens of EventPrime.<br><br>Click on this Title to see a list of other EventPrime screens you can navigate to.<br><br>','eventprime-event-calendar-management'); ?></li>
        <li data-id="em_add_new_link" data-prev-text="Back"><?php _e('<h5>Add New Event</h5><br>Clicking on the <strong>Add New</strong> link will reveal the Add New Event popup form.<br><br>You can use this form to create new events with EventPrime.<br><br>','eventprime-event-calendar-management'); ?></li>
        <?php if (isset($_GET['view']) && $_GET['view'] == 'cards') { ?>
        <li data-id="em_duplicate_link" data-prev-text="Back"><?php _e('<h5>Duplicate Events</h5><br>Clicking on the <strong>Duplicate</strong> link will take the selected event and create a copy of it.<br><br>The link will remain disabled when no events are selected or more than one events are selected.<br><br>','eventprime-event-calendar-management'); ?></li>
        <li data-id="em_delete_link" data-prev-text="Back"><?php _e('<h5>Delete Events</h5><br>Clicking on the <strong>Delete</strong> link will delete the selected events.<br><br>The link will remain disabled when no events are selected.<br><br>','eventprime-event-calendar-management'); ?></li>
        <li data-id="em_select_events" data-prev-text="Back"><?php _e('<h5>Select All Events</h5><br>Use this checkbox to select all events in one go.<br><br>This\'ll help when you wish to delete all the events with a single click by clicking on the <strong>Delete</strong> link.<br><br>','eventprime-event-calendar-management'); ?></li>
        <li data-id="em_hide_link" data-prev-text="Back"><?php _e('<h5>Hide Past Events</h5><br>Use this checkbox to hide older events, which are no longer active, from the all events display.<br><br>','eventprime-event-calendar-management'); ?></li>
        <?php } ?>
        <li data-id="em_guide_link" data-prev-text="Back"><?php _e('<h5>Starter Guide</h5><br>Clicking on this link will take you to the <strong>EventPrime Starter Guide</strong> on the EventPrime website.<br><br>The guide will give you a detailed overview on how to create your first event with EventPrime and publish it on frontend.<br><br>','eventprime-event-calendar-management'); ?></li>
        <li data-id="em_view_selector" data-prev-text="Back"><?php _e('<h5>All Events View Selection</h5><br>From this dropdown menu, you can choose any one of the various display layouts EventPrime offers for displaying all events.<br><br>','eventprime-event-calendar-management'); ?></li>
        <li data-id="em_frontend_link" data-prev-text="Back"><?php _e('<h5>View the Frontend</h5><br>EventPrime provides you this link to help you see how your events appear on the frontend with a single click from the backend.<br><br>You can change which page this link opens from the <strong>Global Settings</strong>.<br><br>Just make sure that new page has the shortcode: <strong>[em_events]</strong> on it.<br><br>','eventprime-event-calendar-management'); ?></li>
        <li data-id="em_support_link" data-prev-text="Back"><?php _e('<h5>Contact EventPrime Support</h5><br>Click on this link to visit the contact form on EventPrime\'s website.<br><br>Our support team is always ready to respond back to your questions/concerns promptly.<br><br>','eventprime-event-calendar-management'); ?></li>
        <?php if (isset($_GET['view']) && $_GET['view'] === 'cards') { ?>
        <li data-prev-text="Back"><?php _e('<h5>All Events</h5><br>Below all the header options and links, you can see the section that will display all the events in neat looking card view.<br><br>Each event card will give you a brief overview of the event\'s details as well as a link to the event\'s dashboard.<br><br>You\'ll get all the options you need inside the <strong>Event Dashbord</strong> to configure an event just the way you want.<br><br>','eventprime-event-calendar-management'); ?></li>
        <?php } else { ?>
        <li data-prev-text="Back"><?php _e('<h5>The Event Calendar</h5><br>Below all the header options and links, you can see the event calendar. This will display all the events you create in EventPrime. Click on the right and left arrow signs to navigate to other months/days/weeks.<br><br>As a unique feature of EventPrime, this calendar also allows you to create new events right from it. Click on a date inside the calendar to begin creating an event starting from that date.<br><br>Hover over an exisiting event in the calendar to view its quick detailed popup. Clicking on the popup will allow you to edit its details right there.<br><br>You can also drag and drop existing events from one date to another to quickly change the event\'s date.<br><br>','eventprime-event-calendar-management'); ?></li>
        <?php } ?>
        <li data-button="End" data-prev-text="Back"><?php _e('<h5>Tour Complete!</h5><br>This concludes the tour of EventPrime\'s Event Manager screen.<br><br>You are now fully equiped with the knowledge to work with EventPrime\'s backend interface!<br><br>Well done!<br><br>','eventprime-event-calendar-management'); ?></li>
    </ol>
</div>

