<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

class EventM_Public {
    private static $instance = null;
    private function __construct() {
        add_action('wp_enqueue_scripts', array($this, 'enqueues'));
        add_action('wp_head', array($this, 'custom_styles'), 100);
    }
    
    public static function get_instance()
    {   
        if (self::$instance === null) {
            self::$instance = new self();
        }

        return self::$instance;
    }
    
    public function enqueues() {
        //wp_enqueue_script('jquery-ui-dialog',null,array('jquery'), EVENTPRIME_VERSION);
        wp_register_script('em-angular', plugin_dir_url(__DIR__) . 'includes/js/angular.js', array('jquery'), EVENTPRIME_VERSION);
        wp_register_script('dir-pagination', plugin_dir_url(__DIR__) . 'includes/admin/template/js/dirPagination.js', array('em-angular'), EVENTPRIME_VERSION);
        wp_register_script('em-angular-module', plugin_dir_url(__DIR__) . 'includes/admin/template/js/em-module.js', array('em-angular', 'dir-pagination'), EVENTPRIME_VERSION);
        wp_localize_script('em-angular-module', 'em_ajax_object', array('ajax_url' => admin_url('admin-ajax.php')));
        wp_register_script('em-booking-controller', plugin_dir_url(__DIR__) . 'includes/templates/js/em-booking-controller.js', array('em-angular-module'), EVENTPRIME_VERSION);
        wp_register_script('em-user-register-controller', plugin_dir_url(__DIR__) . 'includes/templates/js/em-register-controller.js', array('em-angular-module'), EVENTPRIME_VERSION);
        wp_register_script('em-timepicker', EM_BASE_URL . 'includes/admin/template/js/timepicker-addon.js', array('jquery-ui-datepicker','jquery-ui-slider'), EVENTPRIME_VERSION);
        wp_register_script('em-event-submit-controller', plugin_dir_url(__DIR__) . 'includes/templates/js/em-event-submit-controller.js', array('em-angular-module','em-timepicker'), EVENTPRIME_VERSION);
        wp_register_script('em-public', plugin_dir_url(__DIR__) . 'includes/templates/js/em-public.js', array('jquery', 'jquery-ui-datepicker'), EVENTPRIME_VERSION);
        wp_register_script('moment', EM_BASE_URL . 'includes/templates/js/moment.min.js', array(), EVENTPRIME_VERSION);
        wp_register_script('em-full-calendar', EM_BASE_URL . 'includes/templates/js/calendar-3.9.0.js', array('jquery', 'moment'), EVENTPRIME_VERSION);
        wp_register_script('em-full-calendar-locales', EM_BASE_URL . 'includes/templates/js/calendar-locales-3.9.0.js', array('em-full-calendar'), EVENTPRIME_VERSION);
        wp_register_script('em-calendar-util', EM_BASE_URL . 'includes/templates/js/em-calendar-util.js', array('em-full-calendar', 'em-public', 'em-full-calendar-locales', 'moment'), EVENTPRIME_VERSION);
        wp_register_script("jquery-colorbox", plugin_dir_url(__DIR__) . 'includes/templates/js/jquery.colorbox.js', array('jquery'), EVENTPRIME_VERSION);
        wp_register_script('font-awesome', plugin_dir_url(__DIR__) . 'includes/js/font_awesome.js', false, EVENTPRIME_VERSION);
        wp_register_script('em-google-map', plugin_dir_url(__DIR__) . 'includes/js/em-map.js', false, EVENTPRIME_VERSION);
        wp_register_script('em-ctabs', plugin_dir_url(__DIR__) . 'includes/templates/js/em_custom_tabs.js', false, EVENTPRIME_VERSION);
        wp_register_style('em_responsive_slider_style', plugin_dir_url(__DIR__) . 'includes/templates/css/responsiveslides.css', array(), EVENTPRIME_VERSION);
        wp_register_script('em_responsive_slider_js', plugin_dir_url(__DIR__) . 'includes/templates/js/responsiveslides.min.js', array(), EVENTPRIME_VERSION);
        
        wp_register_style('em-ctabs-css', plugin_dir_url(__DIR__) . 'includes/templates/css/em_custom_tabs.css', false, EVENTPRIME_VERSION);
        wp_register_style('jquery-ui-css', EM_BASE_URL . 'includes/templates/css/jquery-ui.css', array(), EVENTPRIME_VERSION);
        wp_register_style('em-public-css', plugin_dir_url(__DIR__) . '/includes/templates/css/em_public.css', array('jquery-ui-css'), EVENTPRIME_VERSION);
        wp_register_style("em-colorbox-css", plugin_dir_url(__DIR__) . 'includes/templates/css/colorbox.css', array(), EVENTPRIME_VERSION);
        wp_register_style('em-full-calendar-css', EM_BASE_URL . 'includes/templates/css/calendar.min.css', array('em-public-css'), EVENTPRIME_VERSION);
        wp_register_script("em-single-event", plugin_dir_url(__DIR__) . 'includes/templates/js/em-single-event.js',array('jquery'), EVENTPRIME_VERSION);
        wp_register_script("fontawesome", plugin_dir_url(__DIR__) . 'includes/js/font_awesome.js',array('jquery'), EVENTPRIME_VERSION);
         
        wp_localize_script('em-public', 'em_js_vars', em_global_js_strings());
    }
    
    function custom_styles() {
        $custom_css = em_global_settings('custom_css');
        if($custom_css != false) {
            echo '<style type="text/css">' . $custom_css . '</style>';
        }
    }

}
EventM_Public::get_instance();
