<?php
    wp_enqueue_script('em-public');
    em_localize_map_info('em-google-map');
    wp_enqueue_script('em-booking-controller');
    wp_enqueue_style('em-public-css');
    add_thickbox();

    $event_id = absint(event_m_get_param('event_id'));
    $event_service = EventM_Factory::get_service('EventM_Service');
    $event = $event_service->load_model_from_db($event_id);
    if (empty($event->id)) {
        return;
    }
    if(empty($event->enable_booking)){
        _e('Booking is closed','eventprime-event-calendar-management');
        return;
    }
    $extensions= event_magic_instance()->extensions;
    $venue= null;
    if(!empty($event->venue)){
        $venue_service= EventM_Factory::get_service('EventM_Venue_Service');
        $venue= $venue_service->load_model_from_db($event->venue);
        if($venue->type=='seats' && !in_array('seating',$extensions))
        {
            _e('This event was created using Seating extension which is not active/installed. Please change venue type to standing and try again.','eventprime-event-calendar-management');
            return;
        }
    }
?>
    <div id="booking_dialog" class="emagic" ng-app="eventMagicApp" ng-controller="emBookingCtrl" ng-init="initialize(<?php echo $event->venue, ',' . $event->id; ?>)" ng-cloak>
        <div class="em_progress_screen" ng-show="requestInProgress"></div>

        <div class="emagic">
            <div ng-hide="show_cart">
                <div class="kf-seat-table-popup kf_config_pop_wrap" ng-show="event.venue.type == 'seats'">
                    <!-- Event Seat structure -->
                    <div id="kf-seat-table-parent" class="em_block dbfl kf_config_pop " >
                        <div class="kf-seat-table-popup-head dbfl">
                            <div class="proceed_button_container em_event_row difr">
                                <button  id="kf_seat_update" class="em_header_button kf-button em_color" ng-hide="update_cart" ng-disabled="requestInProgress"  ng-click="orderSeats()">Proceed</button>
                                <button ng-disabled="requestInProgress" id="kf_update_cart" class="em_header_button kf-button em_color" ng-show="update_cart" ng-click="updateOrder()"><?php echo __("Update Cart", 'eventprime-event-calendar-management'); ?></button>
                                <button class="em_header_button kf-button em_color" ng-click="display_cart(true)" ng-disabled="!(orders.length > 0)" ng-show="(orders.length > 0)"><?php echo __("Show Cart", 'eventprime-event-calendar-management'); ?></button>
                            </div>

                            <div class="kf-popup-title"><?php _e('Please Select your seat(s) below', 'eventprime-event-calendar-management'); ?></div>
                            <div  class="kf-popup-sub-title"><?php _e('You can only select from available seats. Once you are done, click proceed to checkout.', 'eventprime-event-calendar-management'); ?></div>
                        </div>
                        <div class="kf-booking-seat-wrap dbfl">
                            <table class="em_venue_seating" ng-style="seat_container_width">
                                <tr><td class="kf-booking-head">
                                        <div class="kf-seat-selector">   Selected Seats: {{selectedSeats.length}} </div>
                                        <div class="kf-single-ticket-price">  <?php _e('Price', 'eventprime-event-calendar-management'); ?> <span class="em-booking-page-price">{{currency_symbol}}{{event.ticket_price}}</span> <?php do_action('event_magic_get_ebd_special_price', $event); ?> <?php _e('per seat', 'eventprime-event-calendar-management'); ?></div>
                                        <div class="kf-max-ticket-booking-note"ng-show="event.max_tickets_per_person > 0"><?php echo __("Note : Maximum seats allowed per booking - ", 'eventprime-event-calendar-management'); ?>{{event.max_tickets_per_person}}</div>

                                        <div class="kf-legends dbfl em_block "> 
                                            <div class="kf-legend difl"><span class="kf-available kf-legend-box"></span><?php echo __("Available", 'eventprime-event-calendar-management'); ?></div>
                                            <div class="kf-legend difl"><span class="kf-booked kf-legend-box"></span><?php echo __("Booked", 'eventprime-event-calendar-management'); ?></div>   
                                            <div class="kf-legend difl"><span class="kf-reserved kf-legend-box"></span><?php echo __("Reserved", 'eventprime-event-calendar-management'); ?></div>  
                                            <div class="kf-legend difl"><span class="kf-selected kf-legend-box"></span><?php echo __("Selected", 'eventprime-event-calendar-management'); ?></div>
                                        </div>
                                    </td>
                                </tr>

                                <tr ng-repeat="row in event.seats" class="row isles_row_spacer" id="row{{$index}}" ng-style="{'margin-top':row[0].rowMargin}">
                                    <td class="row_selection_bar" ng-click="selectRow($index)">
                                        <div class="em_seat_row_number">{{getRowAlphabet($index)}}</div>
                                    </td>

                                    <td ng-repeat="seat in row" ng-init="adjustContainerWidth(seat.columnMargin, $parent.$index)" class="seat isles_col_spacer" ng-class="seat.type" id="ui{{$parent.$index}}-{{$index}}" 
                                        ng-style="{'margin-left':seat.columnMargin}">
                                        <div  ng-dblclick="selectColumn($index)" ng-if="$parent.$index == 0" class="em_seat_col_number">{{$index}}</div>
                                        <div class="seat_avail seat_avail_number seat_status">{{seat.col + 1}}</div>
                                        <div  id="pm_seat"  class="seat_avail seat_status" ng-click="selectSeat(seat, $parent.$index, $index)" >{{seat.uniqueIndex}} </div>
                                    </td>
                                </tr>
                            </table>
                            <div class="em_booking_screen dbfl"><?php echo __("ALL EYES THIS WAY", 'eventprime-event-calendar-management'); ?></div>
                        </div>
                        <?php do_action('event_magic_guest_booking_user_info_block'); ?>
                        <div class="ep-attendee-info-wrap difl" ng-if="attendee_names.length>0 && event.enable_attendees == 1">
                          <div class="ep-attendee-heading-text"><?php _e('Attendee Information','eventprime-event-calendar-management'); ?></div>                          
                          <ul class="ep-attendee-input" ng-if="attendee_names.length>0">
                           <div class="ep-attendee-sub-heading dbfl"><?php _e('You can choose to proceed without adding Attendee names','eventprime-event-calendar-management'); ?></div>
                           <li ng-repeat="(i,v) in attendee_names track by $index">
                                    <input type="text" ng-model="attendee_names[i]" placeholder="Attendee Name">
                                </li>   
                            </ul>
                        </div>                        
                    </div>
                </div>
                
                <!-- Standing-->    
                <div class="kf-standing-type-popup kf-standing-type-popup-wrap" ng-show="event.venue.type == 'standings' || event.venue.type == ''">
                    <div id="kf-seat-table-parent" class="em_block dbfl kf_config_pop " >
                        <div class="kf-seat-table-popup-head dbfl">
                            <div class="proceed_button_container em_event_row difr">
                              <!-- <button class="em_header_button kf-button em_color" id="kf_standing_update" ng-hide="update_cart" ng-disabled="requestInProgress" ng-click="orderStandings()"><?php echo "Proceed"; ?></button>-->
                                <button class="bg_gradient kf-button em_color" id="kf_update_cart" ng-show="update_cart" ng-disabled="requestInProgress" ng-click="updateOrder()"><?php echo __("Update Cart", 'eventprime-event-calendar-management'); ?></button>
                                <button class="bg_gradient kf-button em_color" ng-click="display_cart(true)" ng-disabled="!(orders.length > 0)" ng-show="(orders.length > 0)"><?php echo __("Show Cart", 'eventprime-event-calendar-management'); ?></button>
                            </div>

                            <div ng-show="event.venue.type == 'seats'" class="kf-popup-title"><?php _e('Please Select your seat(s) below', 'eventprime-event-calendar-management'); ?></div>
                            <div ng-show="event.venue.type == 'standings'" class="kf-popup-title"><?php _e('Please Enter number of tickets you wish to book.', 'eventprime-event-calendar-management'); ?></div>

                            <div ng-show="event.venue.type == 'seats'" class="kf-popup-sub-title"><?php _e('You can only select from available seats. Once you are done, click proceed to checkout.', 'eventprime-event-calendar-management'); ?></div>
                            <div ng-show="event.venue.type == 'standings'" class="kf-popup-sub-title"><?php _e('Once you are done, click proceed to checkout.', 'eventprime-event-calendar-management'); ?></div>

                        </div>
                           <!-- <div class="kf-single-ticket-price"><?php _e('Price', 'eventprime-event-calendar-management'); ?> {{currency_symbol}}{{event.ticket_price}} <?php _e('per seat', 'eventprime-event-calendar-management'); ?></div> -->
                        <div class="kf-standing-order ep-booking-row difl" >
                            <div class="ep-booking-quantity"> <input type="number" name="quantity" ng-model="booking_quantity" id="standing_order_quantity" /></div>
                            <div  class="ep-booking-event-name">{{event.name}}</div>
                            <div class="ep-booking-event-price"><span class="em-booking-page-price">{{currency_symbol}}{{event.ticket_price}}</span> <?php do_action('event_magic_get_ebd_special_price', $event); ?></div>
                            <div class="ep-booking-event-button difr"> <button class="em_header_button" id="kf_standing_update" ng-hide="update_cart" ng-disabled="requestInProgress" ng-click="orderStandings()"><?php echo "Proceed"; ?></button></div>
                        </div>
                        <?php do_action('event_magic_guest_booking_user_info_block'); ?>
                        <div class="ep-attendee-info-wrap difl" ng-if="attendee_names.length>0 && event.enable_attendees == 1">
                            <div class="ep-attendee-heading-text"><?php _e('Attendee Information','eventprime-event-calendar-management'); ?></div>                            
                            <ul class="ep-attendee-input" ng-if="attendee_names.length>0">
                                <div class="ep-attendee-sub-heading dbfl"><?php _e('You can choose to proceed without adding Attendee names','eventprime-event-calendar-management'); ?></div>

                                <li ng-repeat="(i,v) in attendee_names track by $index">
                                    <input type="text" ng-model="attendee_names[i]" placeholder="Attendee Name">
                                </li>   
                            </ul>
                        </div>
                        <div id="show_popup_loader"></div>
                    </div>
                </div>
            </div> 

            {{pos}}  

            <div id="booking_summary" class="em-before-payment dbfl" ng-show="show_cart && orders.length > 0"> 
                <div class="kf-before-payment-wrap dbfl">

                    <div ng-show="event.venue.type == 'seats'">
                        <div id="div_id" class="em_booking_heading em_event_attr_box em_align_center"><?php echo __("Your Booking Summary", 'eventprime-event-calendar-management'); ?></div>

                        <!--<div class="em_booking_event_title em_event_attr_box em_align_center"><?php echo $event->name; ?></div>-->

                        <div class="kf-payment-details em_floatfix dbfl">    

                            <div ng-repeat="tmp in orders track by $index"  class="dbfl kf-checkout-info">
                                <div class="qty">{{tmp.quantity}} <?php _e('Tickets', 'eventprime-event-calendar-management'); ?> </div>
                                <strong>for</strong>
                                <div class="em_booking_event_title em_event_attr_box em_align_center">{{tmp.name}}</div> 
                                <div class="kf-booking-event-date">On {{tmp.start_date}} at <span class="kf-booking-event-vanue">{{event.venue.name}}</span></div>
                                <div class="kf-booked-event-seat-num">Seat Nos.- {{tmp.item_number}}<a ng-click="loadEventForBooking(tmp.event_id)" > <?php _e('Change', 'eventprime-event-calendar-management'); ?> </a></div>
                                <div class="em_total_price em_pay_detail em_align_right difl">
                                    {{currency_symbol}}{{ tmp.subtotal }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div ng-show="event.venue.id==null || event.venue.type == 'standings'">
                        <div class="em_booking_heading em_event_attr_box em_align_center"><?php echo __("Your Booking Summary", 'eventprime-event-calendar-management'); ?></div>
                        <div class="kf-payment-details em_floatfix dbfl"> 
                            <div ng-repeat="tmp in orders track by $index" class="dbfl kf-checkout-info" >
                                <div class="kf-booked-qty">{{tmp.quantity}} Tickets <a ng-click="loadEventForBooking(tmp.event_id)" > <?php _e('Change', 'eventprime-event-calendar-management'); ?> </a></div>
                                <strong>for</strong>
                                <div class="em_booking_event_title em_event_attr_box em_align_center">{{tmp.name}}</div> 
                                <div class="kf-booking-event-date">On {{tmp.start_date}} at <span class="kf-booking-event-vanue">{{event.venue.name}}</span></div>
                                <div class="em_total_price em_pay_detail em_align_right difl">
                                    {{currency_symbol}}{{ tmp.subtotal }}
                                </div>
                            </div>
                        </div>
                    </div>  
                    <!--  0 Payment Proceed Button -->

                    <div class="payment_notice dbfl" ng-show="price > 0 && bookable">
                        <div class="kf-payment-info dbfl"><?php echo __("Your seats are on hold. You will need to checkout within <a><span id='em_payment_timer'></span></a> minutes to reserve them. Otherwise they will be released for booking.", 'eventprime-event-calendar-management'); ?></div>
                        <div class="em_payment_progress_wrap dbfl">
                            <div class="em_payment_progress em_bg" id="em_payment_progress"></div>
                        </div>       
                    </div>  

                    <div class="kf-checkout-footer dbfl">
                        <div class="kf-final-payment difl">
                            <!-- coupon code section -->
                            <?php
                            if(in_array('coupons', $extensions)){ 
                                do_action( 'event_magic_front_coupon_section' );
                            }?>
                            <div class="em_discount em_align_right dbfl" ng-show="discount > 0">
                                <span class="em_subtotal difl"><?php echo __("Discount", 'eventprime-event-calendar-management'); ?></span>
                                -{{discount}}
                            </div>
                            <!-- Early bird discount section starts -->
                            <?php
                            if(in_array('em_automatic_discounts', $extensions)){ 
                                do_action( 'event_magic_front_ebd_section' );
                            }?>
                            <div class="em_final_price em_align_right dbfl">
                                <span class="em_subtotal dbfl"><?php echo __("Total Due", 'eventprime-event-calendar-management'); ?></span>
                                <div class="dbfl">{{currency_symbol}}{{price}}</div>                             
                            </div>
                        </div>
                        
                        <!-- Paypal Proceed Button -->
                      

                        <div class="kf-checkout-button difr">
                            <div class="payment_prcoessors difl">
                                <?php do_action('event_magic_front_payment_processors'); ?>
                            </div> 
                            <div class="em_checkout_btn difl" ng-show="price == 0 && bookable">
                                <button  class="bg_gradient kf-button em_color" ng-click="proceedWithoutPayment()"><?php echo __("Proceed", 'eventprime-event-calendar-management'); ?></button>
                            </div>
                            
                            <div  class="em_checkout_btn difr " ng-show="data.payment_processor == 'paypal' && price > 0 && bookable">
                            <button ng-disabled="requestInProgress" class="bg_gradient em_color kf-button" ng-click="proceedToPaypal()"><?php echo __("Proceed", 'eventprime-event-calendar-management'); ?></button>
                        </div>
                        </div>
                        
                        
                    </div>
                    <?php do_action('event_magic_guest_booking_user_info_block_view'); ?>
                    <div class="dbfl ep-attendees-info" ng-if="attendee_names.length>0 && event.enable_attendees == 1">
                        <div class="ep-attendees-heading-text dbfl"><?php _e('Attendee Information','eventprime-event-calendar-management'); ?></div>
                        <div class="dbfl ep-attendees-list">
                            <ol class="ep-attendee-display">
                                <li ng-repeat="(i,v) in attendee_names track by $index">
                                    {{attendee_names[i]}}
                                </li>   
                            </ol>
                        </div>
                    </div>
                </div>
                <div class="dbfl em_block kf-notice-print-tickets"><?php //echo __("Note: You will be able to print your tickets after the checkout.", 'eventprime-event-calendar-management'); ?></div>

                <div class="dbfl em_block">     
                    <a href="<?php echo get_permalink($event_id); ?>">Go to Event</a>
                </div>


                <?php do_action('event_magic_front_payment_forms',$event); ?> 
            </div>


            <div id="kf-reconfirm-popup" class="dbfl" ng-show="!bookable" ng-cloak>
                <div class="dbfl em_block kf-reconfirm-popup-content">
                    <p><?php _e('Sorry, the time window for checkout has expired. Selected seats have been released for bookings. You can click here to go back to the Event page and try booking again.', 'eventprime-event-calendar-management'); ?></p>
                    <a href="<?php echo get_permalink($event_id); ?>"><?php _e('OK', 'eventprime-event-calendar-management'); ?></a>
                </div>
            </div>
            
            <div id="kf-reconfirm-popup" class="dbfl" ng-show="errorMsg" ng-cloak>
                
                <div class="dbfl em_block kf-reconfirm-popup-content">
                    <span  class="kf-reconfirm-popup-close" ng-click="errorMsg=''">&times;</span>
                    <div>{{errorMsg}}</div>
                </div>
            </div> 


        </div>
    </div>    
    <script>
        jQuery(document).ready(function () {
            $ = jQuery;
            $(".kf-reconfirm-pc").click(function(){
                $("#kf-reconfirm-popup").hide();
            });
        });
    </script>