<?php  
    $booking_service= EventM_Factory::get_service('EventM_Booking_Service');
    $total_price=$booking_service->get_final_price($booking->id); 
    $total_price= empty($total_price) ? __('Free','eventprime-event-calendar-management') : $booking->order_info['currency'].$total_price;
    $offline_status= isset($booking->payment_log['offline_status']) ? $booking->payment_log['offline_status'] : null;
?>
<div class="em_modal_wrapper" id="em_booking_details_modal">
    <div id="em_message_bar">
    <?php if($booking->status=='pending'){
            _e('**Ticket download link will be available after Confirmation.','eventprime-event-calendar-management');
        }
        else if($booking->status=='cancelled'){
            _e('**Booking cancelled successfully.','eventprime-event-calendar-management');
        }
        else if($booking->status=='completed'){
            _e('**Booking has been completed.','eventprime-event-calendar-management');
        }
        else if($booking->status=='refunded'){
           _e('**We have issued a refund for this booking.','eventprime-event-calendar-management');
    } ?>
    </div>
    <table class="em_modal_table">
        <tr>
            <td><?php _e('Booking ID','eventprime-event-calendar-management'); ?></td>
            <td><?php echo $booking->id; ?></td>
        </tr>        
        <tr> 
            <td><?php _e('No. of Attendees','eventprime-event-calendar-management'); ?></td>
            <td><?php echo $booking->order_info['quantity']; ?></td>
        </tr>        
        <tr>
            <td><?php _e('Price','eventprime-event-calendar-management'); ?></td>
            <td><?php  echo $booking->order_info['currency'].$booking->order_info['item_price']; ?></td>
        </tr>
        <?php
        if(isset($booking->order_info['coupon_code']) && !empty($booking->order_info['coupon_code']) && isset($booking->order_info['coupon_discount']) && !empty($booking->order_info['coupon_discount'])){?>            
            <tr>
                <td><?php _e('Coupon Amount','eventprime-event-calendar-management'); ?></td>
                <td><?php  echo $booking->order_info['currency'].$booking->order_info['coupon_discount']; ?></td>
            </tr>
            <?php
        }?>
        <?php do_action('event_magic_front_user_booking_before_total_price', $booking); ?>
        <tr>
            <td><?php _e('Total Price','eventprime-event-calendar-management'); ?></td>
            <td><?php  echo $total_price; ?></td>
        </tr>
        <?php if(!empty($venue) && $venue->type=='seats' && $booking->order_info['seat_sequences']>0): ?>                   
            <tr> 
                <td><?php _e('Seats','eventprime-event-calendar-management'); ?></td>
                <td><?php echo implode(',',$booking->order_info['seat_sequences']); ?></td>
            </tr>
        <?php endif; ?>

        <tr> 
            <td><?php _e('Booking Status','eventprime-event-calendar-management'); ?></td>
            <td id="em_booking_status"><?php echo EventM_Constants::$status[$booking->status]; ?></td>
        </tr>
        
        <?php do_action('event_magic_front_user_booking_details', $offline_status); ?>

        <?php if(($booking->status=="completed") && !empty($event->allow_cancellations)): ?>
            <tr id="em_action_bar">
                <td><?php _e('Action','eventprime-event-calendar-management'); ?></td>
                <td><input type="button" id="em_cancelled_btn" value="Cancellation Request " onclick="em_cancel_booking(<?php echo $booking->id; ?>)" /></td>
            </tr>
        <?php endif; ?>
        
        <?php do_action('event_magic_print_ticket',$booking); ?>
    </table>     
</div>