<?php
$setting_service = EventM_Factory::get_service('EventM_Setting_Service');
$gs = $setting_service->load_model_from_db();
wp_enqueue_style('em-public-css');
$allow_submission_by_anonymous_user = em_global_settings('allow_submission_by_anonymous_user');
if(is_user_logged_in() || !empty($allow_submission_by_anonymous_user)){
    $user = wp_get_current_user();
    // check user restriction
    $hasUserRestriction = 1;
    $frontend_submission_roles = em_global_settings('frontend_submission_roles');
    if(empty($frontend_submission_roles)){
        $hasUserRestriction = 0;
    }
    else{
        foreach ($user->roles as $key => $value) {
            if(in_array($value, $frontend_submission_roles)){
                $hasUserRestriction = 0;
            }
        }
    }
    // check allow by non logged in user condition
    if(!empty($allow_submission_by_anonymous_user)){
        $hasUserRestriction = 0;
    }
    if(!empty($hasUserRestriction)){
        echo '<div class="emagic"><div class="ep-login-form em_block em_bg_lt dbfl">';
        echo "<div class='ep-login-header dbfl'> <h3 class='em_form_heading'> $gs->ues_restricted_submission_message </h3></div>" ;
        echo '<div> <div>';
    }
    else{
        wp_enqueue_script('em-public');
        wp_enqueue_script('em-event-submit-controller');
        wp_enqueue_script('jquery-ui-datepicker', array('jquery'));
        wp_enqueue_style('jquery-style', 'https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.4/themes/smoothness/jquery-ui.css', array(), EVENTPRIME_VERSION);
        em_localize_map_info('em-google-map');
        $gmap_api_key = em_global_settings('gmap_api_key');
        if(!empty($gmap_api_key)){
            wp_enqueue_script('google_map_key', 'https://maps.googleapis.com/maps/api/js?key='.$gmap_api_key.'&libraries=places', array(), EVENTPRIME_VERSION);
        }?>
        <script>
        jQuery(document).ready(function(){
            jQuery(".em_input_row input#event_start_date, .em_input_row input#event_end_date, .em_input_row input#event_start_booking_date, .em_input_row input#event_last_booking_date").click(function(){
                jQuery("#ui-datepicker-div").addClass("ep-datepicker");
            });
        });
        </script>
        <div class="emagic ep-event-submit-form-page">
            <div ng-app="eventMagicApp" ng-controller="emEventSubmitCtrl" ng-init="initialize()" ng-cloak class="ep-event-submit-form em_block dbfl em_bg_lt">
                <div class="em_progress_screen ep-progress-loader" ng-show="requestInProgress"></div>
                <div ng-hide="requestInProgress" class="ep_event_form em_block dbfl">
                    <div ng-hide="submitted" >
                        <div class="form_errors">
                            <ul>
                                <li class="emfield_error" ng-repeat="error in formErrors">
                                    <span>{{error}}</span>
                                </li>
                            </ul>  
                        </div>
                        <form name="emEventSubmitForm" ng-submit="submitEvent(emEventSubmitForm.$valid)" novalidate>

                            
                    <div class="ep-submit-event-fields-box ep-submit-event-details dbfl">
                        
                            <div class="em_input_row dbfl">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('Event Name','eventprime-event-calendar-management'); ?><sup>*</sup></label>
                                    <input required type="text" class="em_input_field" name="name" ng-model="data.settings.name">
                                    <div class="emfield_error">
                                        <span ng-show="emEventSubmitForm.name.$error.required && (showFormErrors || !emEventSubmitForm.name.$pristine)"><?php _e('This is a required field.','eventprime-event-calendar-management'); ?></span>
                                    </div>
                                </div>
                              </div>   
                            <div class="em_input_row dbfl">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('Description','eventprime-event-calendar-management'); ?></label>
                                    <?php wp_editor('','event_description',array('media_buttons'=>false)); ?>
                                </div>
                            </div>
                            <div class="em_input_row dbfl" ng-show="data.settings.event_types.length>0">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('Feature Image','eventprime-event-calendar-management'); ?></label>
                                    <input type="file" file-input="files" name="featured_img" accept="image/*">
                                    <input type="hidden" name="attachment_id" ng-model="data.settings.attachment_id">
                                </div>
                                <br/>
                                <img ng-src="{{PreviewImage}}" ng-show="PreviewImage != null" alt="" style="height:200px;width:200px">
                                <span ng-show="emEventSubmitForm.featured_img.$invalid">{{emEventSubmitForm.featured_img.errorMessage}}</span>
                            </div>

                    </div>  
                            
                   <div class="ep-submit-event-fields-box ep-submit-event-date-and-time dbfl">
                            
                            <div class="em_input_row dbfl">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('Start Date','eventprime-event-calendar-management'); ?><sup>*</sup></label>
                                    <input required readonly="readonly" type="text" id="event_start_date" class="em_input_field" name="start_date" ng-model="data.settings.start_date">
                                    <div class="emfield_error">
                                        <span ng-show="emEventSubmitForm.start_date.$error.required && (showFormErrors || !emEventSubmitForm.start_date.$pristine)"><?php _e('This is a required field.','eventprime-event-calendar-management'); ?></span>
                                    </div>
                                </div>
                            </div>
                            <div class="em_input_row dbfl">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('End Date','eventprime-event-calendar-management'); ?><sup>*</sup></label>
                                    <input required readonly="readonly" type="text" id="event_end_date" class="em_input_field" name="end_date" ng-model="data.settings.end_date">
                                    <div class="emfield_error">
                                        <span ng-show="emEventSubmitForm.end_date.$error.required && (showFormErrors || !emEventSubmitForm.end_date.$pristine)"><?php _e('This is a required field.','eventprime-event-calendar-management'); ?></span>
                                    </div>
                                </div>
                            </div>
                            <div class="em_input_row dbfl">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('All Day','eventprime-event-calendar-management'); ?></label>
                                    <input type="checkbox" id="all_day" name="all_day" ng-model="data.settings.all_day" ng-true-value="1" ng-false-value="0">
                                </div>
                            </div>
                            
                   </div>
                            
                      <div class="ep-submit-event-fields-box ep-submit-event-booking dbfl">
                     
                            <div class="em_input_row dbfl">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('Enable Bookings','eventprime-event-calendar-management'); ?></label>
                                    <input type="checkbox" id="enable_bookings" name="enable_booking" ng-model="data.settings.enable_booking" ng-true-value="1" ng-false-value="0">
                                </div>
                            </div>
                            <div class="em_input_row dbfl" ng-show="data.settings.enable_booking == 1">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('Bookings Start Date','eventprime-event-calendar-management'); ?></label>
                                    <input readonly="readonly" type="text" id="event_start_booking_date" class="em_input_field" name="start_booking_date" ng-model="data.settings.start_booking_date">
                                </div>
                            </div>
                            <div class="em_input_row dbfl" ng-show="data.settings.enable_booking == 1">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('Bookings End Date','eventprime-event-calendar-management'); ?></label>
                                    <input readonly="readonly" type="text" id="event_last_booking_date" class="em_input_field" name="last_booking_date" ng-model="data.settings.last_booking_date">
                                </div>
                            </div>
                            <div class="em_input_row dbfl" ng-show="data.settings.enable_booking == 1">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('Booking Price','eventprime-event-calendar-management'); ?>({{data.settings.currency}})</label>
                                    <input type="number" class="em_input_field" ng-min="0" min="0" step="0.01" name="ticket_price" ng-model="data.settings.ticket_price">
                                </div>
                            </div>
                          
                      </div>
                            
                        <div class="ep-submit-event-fields-box ep-submit-event-type dbfl">     
                            <div class="em_input_row dbfl" ng-show="data.settings.event_types.length>0">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('Event Type','eventprime-event-calendar-management'); ?></label>
                                    <select name="event_type" ng-model="data.settings.event_type" ng-options="event_type.id as event_type.name for event_type in data.settings.event_types"></select>
                                </div>
                            </div>
                            
                        </div>
                            
                        <div class="ep-submit-event-fields-box ep-submit-event-vanue dbfl">
                            
                            
                            <div class="em_input_row dbfl" ng-show="data.settings.venues.length>0">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('Event Site','eventprime-event-calendar-management'); ?></label>
                                    <select name="venue" ng-model="data.settings.venue" ng-options="venue.id as venue.name for venue in data.settings.venues" ng-change="getFrontCapacity('<?php echo $gmap_api_key?>')"></select>
                                </div>
                            </div>
                            
                            <div class="em_input_row" ng-show="data.settings.venue=='new_venue'">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('New Event Site Name','eventprime-event-calendar-management'); ?><sup>*</sup></label>
                                    <input type="text" class="em_input_field" name="new_venue" ng-required="data.settings.venue=='new_venue'" ng-model="data.settings.new_venue" />
                                    <div class="emfield_error">
                                        <span ng-show="emEventSubmitForm.new_venue.$error.required && !emEventSubmitForm.new_venue.$pristine"><?php _e('This is a required field.','eventprime-event-calendar-management'); ?></span>
                                    </div>
                                </div>
                      
                                <div class="em_input_row dbfl">
                                    <label class="em_input_label"><?php _e('Address','eventprime-event-calendar-management'); ?></label>
                                    <div class="eminput emeditor">
                                        <input id="em-pac-input" ng-required="data.settings.venue=='new_venue'" name="new_venue_address" ng-model="data.settings.new_venue_address" ng-keydown="editingAddress=true" ng-keyup="editingAddress=false" class="em-map-controls" type="text">
                                        <?php if(!empty($gmap_api_key)) : ?>
                                            <div id="map" style="height: 300px;"></div>
                                            <div id="type-selector" class="em-map-controls" style="display:none">
                                                <input type="radio" name="type" id="changetype-all" checked="checked">
                                                <label for="changetype-all"><?php _e('All','eventprime-event-calendar-management'); ?></label>
                                                <input type="radio" name="type" id="changetype-establishment">
                                                <label for="changetype-establishment"><?php _e('Established','eventprime-event-calendar-management'); ?></label>
                                                <input type="radio" name="type" id="changetype-address">
                                                <label for="changetype-address"><?php _e('Addresses','eventprime-event-calendar-management'); ?></label>
                                                <input type="radio" name="type" id="changetype-geocode">
                                                <label for="changetype-geocode"><?php _e('Geocodes','eventprime-event-calendar-management'); ?></label>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                    <?php if(!empty($gmap_api_key)) : ?>
                                        <div class="emnote ep-map-note">
                                            <i class="fa fa-info-circle" aria-hidden="true"></i>
                                            <?php _e('Mark map location for the Event Site. This will be displayed on Event page.', 'eventprime-event-calendar-management'); ?>
                                        </div>
                                        <input type="hidden" name="new_venue_lat" ng-model="data.settings.new_venue_lat" id="em_venue_lat"/>
                                        <input type="hidden" name="new_venue_lng" ng-model="data.settings.new_venue_lng" id="em_venue_lng"/>
                                    <?php endif; ?>
                                </div>
                                
                                
                                <div class="em_input_row dbfl">
                                    <div class="emfield"><?php _e('Capacity','eventprime-event-calendar-management'); ?></div>
                                    <div class="eminput">
                                        <input  type="number" class="em_input_field" ng-min="0" name="seating_capacity"  ng-model="data.settings.seating_capacity">
                                        <div class="emfield_error">
                                            <span ng-show="emEventSubmitForm.seats.$error.number && !emEventSubmitForm.seats.$pristine"><?php _e('Only numeric value allowed','eventprime-event-calendar-management'); ?></span>
                                            <span ng-show="emEventSubmitForm.seating_capacity.$error.capacityExceeded"><?php _e('Capacity exceeded than Venue.','eventprime-event-calendar-management'); ?></span>
                                            <span ng-show="emEventSubmitForm.seating_capacity.$error.min">Invalid Value</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                       </div>
                            
                        <div class="ep-submit-event-fields-box ep-submit-event-performer dbfl">
                            
                            <div class="em_input_row dbfl" ng-show="data.settings.performers.length>0">
                                <div class="em_input_form_field">
                                    <label class="em_input_label"><?php _e('Performer(s)','eventprime-event-calendar-management'); ?></label>
                                    <select name="performer" multiple ie-select-fix="data.settings.performers" ng-model="data.settings.performer" ng-options="performer.id as performer.name for performer in data.settings.performers"></select>
                                </div>
                            </div>
                            
                        </div>
                            
                            <div class="em_input_row dbfl">
                                <div class="em_input_submit_field">
                                    <input type="submit" ng-disabled="emEventSubmitForm.$invalid" value="Submit Event">
                                </div>
                            </div>
                        </form>
                    </div>
                    <div ng-show="submitted" class="ep-success-message">
                        <?php echo $gs->ues_confirm_message; ?>
                    </div>
                </div>
            </div>
        </div><?php
    }
}
else {
    echo '<div class="emagic"><div class="ep-login-form em_block em_bg_lt dbfl">';
    echo "<div class='ep-login-header dbfl'> <h3 class='em_form_heading'> $gs->ues_login_message </h3></div>" ;
    wp_login_form();
    echo '<div> <div>';
}