<?php
    $events = $event_service->get_events_for_calendar_view($events_atts);
    $week_start = absint(get_option('start_of_week'));
    $locale = em_get_calendar_locale();
    if (absint(em_global_settings('enable_default_calendar_date')) == 1) {
        $default_date = date('c',em_global_settings('default_calendar_date'));
    } else {
        $default_date = date('c',em_get_local_timestamp());
    }
    $calendar_title_format = "MMMM DD, YYYY";
    if(!empty(em_global_settings('calendar_title_format'))){
        $calendar_title_format = em_global_settings('calendar_title_format');
    }
    $calendar_column_header_format = "ddd";
    if(!empty(em_global_settings('calendar_column_header_format'))){
        $calendar_column_header_format = em_global_settings('calendar_column_header_format');
    }
    $js_data = array(
        'events'=>$events,
        'view'=>$view,
        'settings'=>$global_settings,
        'week_start'=>$week_start,
        'locale'=>$locale,
        'default_date'=>$default_date,
        'calendar_title_format'=>$calendar_title_format,
        'calendar_column_header_format'=>$calendar_column_header_format
    );
    wp_localize_script('em-calendar-util','em_calendar_data',$js_data);
    wp_enqueue_script('em-calendar-util');
    wp_enqueue_style('em-full-calendar-css');
    $events_page_id= em_global_settings("events_page");
?>

<!-- Calendar View -->
<div class="emagic">
    <div class="ep-all_event_calendar dbfl">
    <div id="em_calendar" class=""></div>

<!-- Calendar ends here -->

<!-- Event type swatches -->
<div class="ep-event-types">
<?php 
    $type_service= EventM_Factory::get_service('EventTypeM_Service');
    if(isset($events_atts['types']) && !empty($events_atts['types']))
        $types= $type_service->get_types(array('include'=>$events_atts['types']));
    else
        $types= $type_service->get_types();
    foreach($types as $type):
?>        
    <div class="ep-event-type"> <?php echo $type->name; ?><span  style="background-color: #<?php echo $type->color; ?>"></span></div>
        
<?php endforeach; ?>  
</div>      
<!-- Swatches ends here -->
</div>
</div>



