<?php  
    wp_enqueue_style('em-public-css');
    $the_query = $event_service->get_events_the_query(array(),$events_atts);
    //$the_query = $event_service->get_events_the_query();
    $posts= $the_query->posts;
    $posts = apply_filters('ep_filter_front_events',$posts,$atts);
    $posts = array_filter($posts, function($post){ return $post->post_status !== 'draft'; });
    $service= EventM_Factory::get_service('EventM_Service');
    $timestamp = time();
    $i = 0;
    $showBookNowForGuestUsers = em_show_book_now_for_guest_users();
?>  
<div class="emagic">
    <?php if (!empty($posts)) : ?>
        <div class="em_cards">
            <!-- the loop -->
            <?php foreach ($posts as $post) :
                $event= $service->load_model_from_db($post->ID);
                //if($event->end_date < time()) continue;
                // check for booking allowed
                $booking_allowed = 1;
                if((isset($event->parent) && !empty($event->parent)) && (isset($event->enable_recurrence_automatic_booking) && !empty($event->enable_recurrence_automatic_booking))){
                    // if event is recurring and parent has automatic booking enable than not allowed
                    $booking_allowed = 0;
                }
                $event->url= (absint($event->custom_link_enabled) == 1) ? $event->custom_link : add_query_arg('event', $event->id, get_page_link($global_settings->events_page)); ?>
                <div class="em_card difl <?php if (em_is_event_expired($event->id)) echo 'emcard-expired'; ?> <?php echo empty($event->enable_booking) ? 'em_event_disabled' : ''; ?>" id="em-event-<?php echo $event->id;?>">
                    <div class="em_event_cover dbfl">
                        <?php if (!empty($event->cover_image_id)): ?>                            
                            <a href="<?php echo $event->url; ?>"><?php echo get_the_post_thumbnail($event->id,'large'); ?></a>
                        <?php else: ?>
                            <a href="<?php echo $event->url; ?>"><img src="<?php echo esc_url(EM_BASE_FRONT_IMG_URL.'dummy_image.png'); ?>" alt="<?php _e('Dummy Image','eventprime-event-calendar-management'); ?>" ></a>
                        <?php endif; ?>
                    </div>
                    
                    <div class="dbfl em-card-description">
                        <div class="em_event_title em_block dbfl"  title="<?php  echo $event->name; ?>">
                            <a href="<?php echo $event->url; ?>"><?php echo $event->name; ?></a>
                            <?php if(is_user_logged_in()): ?>
                                <?php do_action('event_magic_wishlist_link',$event); ?>
                            <?php endif; ?>
                        </div>
                        <?php $start_date = null; $end_date = null; $start_time = null; $end_time = null; $day = null;
                            if (em_compare_event_dates($event->id)){
                                $day = date_i18n(get_option('date_format'),$event->start_date);
                                $start_time = date_i18n(get_option('time_format'),$event->start_date);
                                $end_time = date_i18n(get_option('time_format'),$event->end_date);
                            }
                            else
                            {
                                $start_date = date_i18n(get_option('date_format').' '.get_option('time_format'),$event->start_date);
                                $end_date = date_i18n(get_option('date_format').' '.get_option('time_format'),$event->end_date);
                            }
                        ?>
                        <?php if(!empty($day)): ?>
                            <div class="em_event_start difl em_color em_wrap">
                                <?php echo $day; ?>
                            </div>
                            <div class="em_event_start difl em_color em_wrap"><?php echo $start_time.'  to  '.$end_time; ?></div>
                        <?php else: ?>
                            <div class="em_event_start difl em_color em_wrap">
                                <?php echo $start_date; ?> -    
                            </div>
                            <div class="em_event_start difl em_color em_wrap">
                                <?php echo $end_date; ?>  
                            </div>
                        <?php endif; ?> 

                        <?php 
                        if(!empty($event->venue)){  
                            $venue_service= EventM_Factory::get_service('EventM_Venue_Service');
                            $venue= $venue_service->load_model_from_db($event->venue);
                            if(!empty($venue->id)){  ?>
                                <div class="em_event_address dbfl" title="<?php echo $venue->address; ?>"><?php echo $venue->address; ?></div>
                                <?php 
                            }
                        }
                        ?>
                        
                        <?php if(!empty($event->description)) { ?>
                                <div class="em_event_description dbfl"><?php echo $event->description; ?></div>
                        <?php } ?>

                        <?php if(!empty($event->enable_booking) && empty($event->hide_booking_status)):
                                $sum = $event_service->booked_seats($event->id);
                                $capacity = em_event_seating_capcity($event->id);
                        ?>  
                                <div class="dbfl">
                                    <div class="kf-event-attr-value dbfl">  
                                        <?php if ($capacity > 0): ?>
                                            <div class="dbfl">
                                                <?php echo $sum; ?> / <?php echo $capacity; ?> 
                                            </div>
                                        <?php $width = ($sum / $capacity) * 100; ?>
                                            <div class="dbfl">
                                                <div id="progressbar" class="em_progressbar dbfl">
                                                    <div style="width:<?php echo $width . '%'; ?>" class="em_progressbar_fill em_bg" ></div>
                                                </div>
                                            </div>
                                        <?php
                                            else:
                                                echo '<div class="dbfl">' . $sum . ' '.__('Sold','eventprime-event-calendar-management').'</div>';
                                        ?>
                                        <?php endif; ?>
                                    </div>
                                </div>  
                                <?php
                            endif;?>
                    </div>
                    <div class="em-cards-footer dbfl">
                        <div class="em_event_price  difl">
                            <?php echo !empty($event->ticket_price) ? $currency_symbol.$event->ticket_price : ''; ?>
                        </div>
                        <?php do_action('event_magic_card_view_after_price',$event); ?>
                        <div class="kf-tickets-button difr">
                            <div class="em_event_attr_box em_eventpage_register difl">
                                <?php if($event_service->is_bookable($event) && absint($event->custom_link_enabled) != 1): $current_ts = em_current_time_by_timezone();?>
                                    <?php if($event->status=='expired'):?>
                                           <div class="em_header_button em_event_expired kf-tickets"><?php _e("Bookings Expired",'eventprime-event-calendar-management'); ?></div>
                                    <?php elseif($current_ts>$event->last_booking_date): ?>
                                           <div class="em_header_button em_booking-closed kf-tickets"><?php _e("Bookings Closed",'eventprime-event-calendar-management'); ?></div>
                                    <?php elseif($current_ts<$event->start_booking_date): ?>  
                                           <div class="em_header_button em_not_started kf-tickets"><?php _e("Bookings not started yet",'eventprime-event-calendar-management'); ?></div>
                                    <?php else: ?>
                                        <?php 
                                        if(!empty($booking_allowed)):
                                            if(is_user_logged_in() || $showBookNowForGuestUsers): ?>
                                                <form action="<?php echo get_permalink($global_settings->booking_page); ?>" method="post" name="em_booking">
                                                    <button class="em_header_button em_event-booking kf-tickets" name="tickets" onclick="em_event_booking(<?php echo $event->id ?>)" id="em_booking"><?php _e('Book Now','eventprime-event-calendar-management'); ?></button>
                                                    <input type="hidden" name="event_id" value="<?php echo $event->id; ?>" />
                                                    <input type="hidden" name="venue_id" value="<?php echo $event->venue; ?>" />
                                                </form>
                                            <?php else: ?> 
                                                <a class="em_header_button kf-tickets" target="_blank" href="<?php echo add_query_arg('event_id',$event->id,get_permalink($global_settings->profile_page)); ?>"><?php _e('Book Now','eventprime-event-calendar-management'); ?></a>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php elseif($event->status == 'publish'): ?>
                                    <div class="em_event_attr_box em_eventpage_register difl">
                                        <div class="em_header_button em_not_bookable kf-tickets"><?php _e("Bookings Closed",'eventprime-event-calendar-management'); ?></div>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <?php do_action('event_magic_card_view_after_footer',$event); ?>
            </div>
            <?php
                $i++;
                if(!empty($event->parent) && $i == 2){
                    break;
                }
            ?>
            <?php endforeach; ?>
                
        </div>     

        <nav class="prev-next-posts">
            <?php
            $previous_page_url = $next_page_url = $nextPage = '';
            $curr_page_url = get_permalink(em_global_settings("events_page"));
            if(isset($_GET['events_view']) && !empty($_GET['events_view'])){
                $curr_page_url = add_query_arg('events_view', $_GET['events_view'], $curr_page_url);
            }
            if(!isset($_GET['sort_type']) || (isset($_GET['sort_type']) && $_GET['sort_type'] != 'newer')){
                if(isset($the_query->previous_page_exist) && !empty($the_query->previous_page_exist)){
                    if(isset($the_query->older_page_exist) && !empty($the_query->older_page_exist)){
                        $previousPage = $the_query->query['paged'];
                        $nextPage = $the_query->query['paged'] + 2;
                    }
                    else{
                        $previousPage = $the_query->query['paged'] + 1;
                    }
                    $previous_page_url = get_pagenum_link($previousPage);
                    if(!isset($_GET['sort_type'])){
                        $previous_page_url = add_query_arg('sort_type', 'older', $previous_page_url);
                    }
                    if($previousPage == 1){
                        $previous_page_url = $curr_page_url;
                    }
                    if(!empty($nextPage)){
                        $next_page_url = get_pagenum_link($nextPage);
                    }
                }
                else if($the_query->query['paged'] > 1){
                    $previousPage = $the_query->query['paged'];
                    $previous_page_url = get_pagenum_link($previousPage);
                }
            }
            if(!isset($_GET['sort_type']) || (isset($_GET['sort_type']) && $_GET['sort_type'] != 'older')){
                if(isset($the_query->next_page_exist) && !empty($the_query->next_page_exist)){
                    $nextPage = $the_query->query['paged'] + 1;
                    $next_page_url = get_pagenum_link($nextPage);
                    if(!isset($_GET['sort_type'])){
                        $next_page_url = add_query_arg('sort_type', 'newer', $next_page_url);
                    }
                }
                else if($the_query->query['paged'] > 1){
                    $previousPage = $the_query->query['paged'] - 1;
                    $previous_page_url = get_pagenum_link($previousPage);
                    if($previousPage == 1){
                        $previous_page_url = $curr_page_url;
                    }
                }
            }

            if(!empty($previous_page_url)){
                if(strpos($previous_page_url, '#038;')){
                    $previous_page_url = html_entity_decode(str_replace("#038;", "&#038;", $previous_page_url));
                }
                if(strpos($previous_page_url, '&&')){
                    $previous_page_url = str_replace("&&", "&", $previous_page_url);
                }?>
                <div class="next-posts-link" id="older-entries">
                    <a href="<?php echo $previous_page_url;?>">
                        <?php 
                        if(isset($_GET['sort_type'])){
                            _e("Prev", 'eventprime-event-calendar-management');
                        }
                        else{
                            _e("Older Entries", 'eventprime-event-calendar-management');
                        }?>
                    </a>
                </div><?php
            }
            if(isset($_GET['sort_type'])){?>
                <div class="next-posts-link" id="current-entries">
                    <a href="<?php echo $curr_page_url;?>">
                        <?php echo 'Reset';  ?>
                    </a>
                </div><?php
            }
            if(!empty($next_page_url)){
                if(strpos($next_page_url, '#038;')){
                    $next_page_url = html_entity_decode(str_replace("#038;", "&#038;", $next_page_url));
                }
                if(strpos($next_page_url, '&&')){
                    $next_page_url = str_replace("&&", "&", $next_page_url);
                }
                ?>
                <div class="next-posts-link" id="newer-entries">
                    <a href="<?php echo $next_page_url;?>">
                        <?php 
                        if(isset($_GET['sort_type'])){
                            _e("Next", 'eventprime-event-calendar-management');
                        }
                        else{
                            _e("Newer Entries", 'eventprime-event-calendar-management');
                        }?>
                    </a>
                </div><?php
            }
            ?>
        </nav>

    <?php else: ?>
        <?php if($_POST): ?>
            <article>
                <p><?php _e('No events match your criterion.','eventprime-event-calendar-management'); ?></p>
            </article>
        <?php else: ?>
            <article>
                <p><?php _e('There are no Events available right now.','eventprime-event-calendar-management'); ?></p>
            </article>
        <?php endif; ?>
    <?php endif; ?>
</div>