jQuery(document).ready(function () {
    $ = jQuery;
    var default_view;

    switch(em_calendar_data.view){
        case 'day': default_view= 'basicDay'; break;
        case 'list': default_view= 'listWeek'; break;
        case 'week': default_view= 'basicWeek'; break;
        default: default_view= 'month';    
    }
    
    $('#em_calendar').fullCalendar({
        header: {
            left: '',
            center: 'prev,title,next',
            right: ''
        },
        locale: em_calendar_data.locale,
        defaultView: default_view,
        defaultDate: moment(em_calendar_data.default_date),
        nextDayThreshold: '00:00:00',
        timeFormat: em_calendar_data.settings.time_format,
        firstDay: em_calendar_data.week_start,
        events: em_calendar_data.events,
        views: {
            week: {
                titleFormat: em_calendar_data.calendar_title_format,
                columnHeaderFormat: em_calendar_data.calendar_column_header_format,
            },
            day: {
                titleFormat: em_calendar_data.calendar_title_format,
                columnHeaderFormat: em_calendar_data.calendar_column_header_format,
            },
            listWeek: {
                titleFormat: em_calendar_data.calendar_title_format,
                columnHeaderFormat: em_calendar_data.calendar_column_header_format,
            }
        },
        eventClick: function (calEvent, jsEvent, view) {
            //document.location.href= calEvent.link_href;
        },
        eventMouseover: function (calEvent, jsEvent, view) {
            var pop_block= $(jsEvent.currentTarget).find('.em_event_detail_popup'); 
            pop_block.show();
        },
        eventMouseout: function(event, jsEvent, view ){
            var pop_block= $(jsEvent.currentTarget).find('.em_event_detail_popup'); 
            pop_block.hide();
        },
        eventRender: function(event, element) {
            if (event.hasOwnProperty('bg_color')) {
                element.css({
                    'background-color': event.bg_color
                });
            }
            if (event.hasOwnProperty('event_text_color')) {
                var fc_time = element.find('.fc-time');
                fc_time.css({
                    'color' : event.event_text_color
                });
                var fc_title = element.find('.fc-title');
                fc_title.css({
                    'color' : event.event_text_color
                });
                var fc_list_time = element.find('.fc-list-item-time');
                fc_list_time.css({
                    'color' : event.event_text_color
                });
                var fc_list_title = element.find('.fc-list-item-title');
                fc_list_title.css({
                    'color' : event.event_text_color
                });
            }
            element.append(event.popup_html);
        }
    });
    $('#em_calendar .fc-toolbar .fc-center').addClass('em_bg');
    $('button.fc-button').click(function() {
        em_update_calendar_time_display();
    });
    em_update_calendar_time_display();
    em_set_dominent_color();
});
