<?php
    wp_enqueue_style('em-public-css');
    wp_enqueue_script('em-public');
    $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
    $args = array(
        'orderby' => 'date',
        'posts_per_page' => EM_PAGINATION_LIMIT,
        'offset'=> (int) ($paged-1) * EM_PAGINATION_LIMIT,
        'paged' => $paged,
         'meta_query' => array(	
             'relation' => 'OR',
          array(
             'key' => em_append_meta_key('display_front'),
             'value' => 1,
             'compare' => '='
          ),
	array(
                'key'     => em_append_meta_key('display_front'),
		'value'   => 'true',
                'compare' => '='
            
               )
        ));

    $service= EventM_Factory::get_service('EventM_Performer_Service');
    $performers= $service->get_all($args);
    $performers_page_url= get_permalink(em_global_settings("performers_page"));
?>

<?php if (!empty($performers)) : ?>
    <div class="emagic">
        <div class="em_performers dbfl">
            <?php 
                foreach($performers as $performer){
                    include('performer.php');
            }
            ?>
        </div>   
       

    <?php
        unset($args['posts_per_page']);
        $total= $service->count($args);
        $pages = ceil($total/EM_PAGINATION_LIMIT);
        // if there's more than one page
        if($pages>1){
            echo '<ul class="pagination">';
            for ($pagecount=1; $pagecount <= $pages; $pagecount++){
                echo '<li><a href="'.get_permalink().'page/'.$pagecount.'/">'.$pagecount.'</a></li>';
            }
            echo '</ul>';  
        }
    ?>
</div>  
<?php else: ?>
    <article>
        <p><?php _e(' No performers found for the listed events.'); ?></p>
    </article>

<?php 
endif; ?>