<?php 
    wp_enqueue_style('em-public-css'); 
    wp_enqueue_script('em-public');
    $event_service = EventM_Factory::get_service('EventM_Service');
    $setting_service = EventM_Factory::get_service('EventM_Setting_Service');
    $global_settings = $setting_service->load_model_from_db();
    $currency_symbol = em_currency_symbol();
    $type->count = $event_service->event_count_by_type($type->id);
    $events = $event_service->events_by_type($type->id);
    $today = em_current_time_by_timezone();
?>
<div class="emagic">
    <div class="em_content_area ep-event-type-single">
        <div class="ep-event-type-cover dbfl" style="border-bottom:3px solid #<?php echo $type->color; ?>">
        <img src="<?php if (isset($type->image_id)) echo wp_get_attachment_image_src($type->image_id, 'large')[0]; else echo esc_url(EM_BASE_FRONT_IMG_URL.'dummy_image.png'); ?>" alt="<?php _e('Event Type Image', 'eventprime-event-calendar-management'); ?>">
        </div>
        
        <div class="ep-event-type-head em_block dbfl">
            <div class="ep-event-type-name difl"><?php echo $type->name; ?></div>
            <div class="ep-event-type-age difr"> <span class="ep-event-type-title"><?php _e('Age Group', 'eventprime-event-calendar-management'); ?></span> <span><?php if ($type->age_group !== 'custom_group') echo em_code_to_display_string($type->age_group); else echo $type->custom_group; ?></span> </div>
        </div>
        
        <div class="ep-event-type-instructions dbfl">
            <?php if (isset($type->description) && $type->description !== '') echo $type->description; else _e('No description available', 'eventprime-event-calendar-management'); ?>
        </div>
       
        <div class="ep-event-type-events em_block dbfl">
            <div class="kf-row-heading">
                <span class="kf-row-title"><?php echo __('Upcoming Events', 'eventprime-event-calendar-management'); ?>
                    <span class="em_events_count-wrap em_bg">
                        <?php echo '<span class="em_events_count_no em_color">' . $type->count . '</span>'; ?>
                    </span>
                </span>
            </div>  
            <div class="em_event_list">
 
                <!----Upcoming Events--->
                
                <?php if (!empty($events)) { foreach ($events as $event) { $event_model = $event_service->load_model_from_db($event->ID);
                $event_url = (absint($event_model->custom_link_enabled) == 1) ? $event_model->custom_link : add_query_arg('event', $event_model->id, get_page_link($global_settings->events_page)); ?>
                <div class="kf-upcoming-event-row em_block dbfl <?php echo empty($event_model->enable_booking) ? 'em_event_disabled' : ''; ?>">
                    <div class="kf-upcoming-event-thumb em-col-2 difl">
                        <a href="<?php echo $event_url; ?>" target="_blank">
                        <img src="<?php if(isset($event_model->cover_image_id) && $event_model->cover_image_id !== 0) echo wp_get_attachment_image_src(get_post_thumbnail_id($event_model->id), 'thumbnail')[0]; else echo esc_url(plugins_url('/images/dummy_image_thumbnail.png', __FILE__)); ?>" alt="<?php _e('Event Cover Image', 'eventprime-event-calendar-management'); ?>">
                        </a>
                    </div>
                    <div class="kf-upcoming-event-title em-col-5 em-col-pad20 difl">
                        <a href="<?php echo $event_url; ?>" target="_blank">
                        <?php echo $event_model->name; ?>
                        </a>
                        <?php if ($today>$event_model->start_date && $today<$event_model->end_date) { ?>
                        <span class="kf-live"><?php _e('Live','eventprime-event-calendar-management'); ?></span>
                        <?php } ?>
                        <div class="kf-upcoming-event-post-date">
                            <div class="em_event_start difl em_wrap">
                            <?php echo date_i18n(get_option('date_format').' '.get_option('time_format'), $event_model->start_date); ?>
                            <span> - </span>
                            <?php echo date_i18n(get_option('date_format').' '.get_option('time_format'), $event_model->end_date); ?>
                            </div>
                        </div>
                    </div>
                  
                    <div class="kf-upcoming-event-booking em-col-5 em-col-pad20 difr">
                        <div class="em_header_button kf-button">
                        <?php if ($event_service->is_bookable($event_model) && absint($event_model->custom_link_enabled) != 1): $current_ts = em_current_time_by_timezone(); ?>
                            <?php if ($event_model->status=='expired'): ?>
                                   <div class="em_header_button em_not_bookable kf-tickets"><?php _e("Bookings Expired",'eventprime-event-calendar-management'); ?></div>
                            <?php elseif ($current_ts>$event_model->last_booking_date): ?>
                                   <div class="em_header_button em_not_bookable kf-tickets"><?php _e("Bookings Closed",'eventprime-event-calendar-management'); ?></div>
                            <?php elseif($current_ts<$event_model->start_booking_date): ?>  
                                   <div class="em_header_button em_not_bookable kf-tickets"><?php _e("Bookings not started yet",'eventprime-event-calendar-management'); ?></div>
                            <?php else: ?>
                                <?php if(is_user_logged_in()): ?>
                                    <form action="<?php echo get_permalink($global_settings->booking_page); ?>" method="post" name="em_booking">
                                        <button class="em_header_button kf-button em_color" name="tickets" onclick="em_event_booking(<?php echo $event_model->id ?>)" class="em_header_button" id="em_booking">
                                            <i class="fa fa-ticket" aria-hidden="true"></i>
                                            <?php
                                                _e('Book Now','eventprime-event-calendar-management');
                                                if ($event_model->ticket_price > 0)
                                                    echo " - " . $currency_symbol.$event_model->ticket_price;
                                            ?>
                                        </button>
                                        <input type="hidden" name="event_id" value="<?php echo $event_model->id; ?>" />
                                        <input type="hidden" name="venue_id" value="<?php echo $event_model->venue; ?>" />
                                    </form>
                                    <?php else: ?>
                                        <a class="em_header_button kf-button em_color" target="_blank" href="<?php echo add_query_arg('event_id',$event_model->id,get_permalink($global_settings->profile_page)); ?>"><?php _e('Book Now','eventprime-event-calendar-management'); ?></a>
                                    <?php endif; ?>
                                <?php endif; ?>
                            <?php elseif(absint($event_model->custom_link_enabled) != 1): ?>
                            <div class="em_event_attr_box em_eventpage_register difl">
                                <div class="em_header_button em_not_bookable kf-tickets">
                                    <?php _e("Bookings Closed",'eventprime-event-calendar-management'); ?>
                                </div>
                            </div>
                        <?php endif; ?> 
                        </div>
                    </div>
                </div>
                <?php } } ?>
            </div>
        </div>
    </div>
</div>