<?php 
    wp_enqueue_style('em-public-css'); 
    wp_enqueue_script('em-public');
    $setting_service = EventM_Factory::get_service('EventM_Setting_Service');
    $global_settings= $setting_service->load_model_from_db();
    $service= EventM_Factory::get_service('EventM_Performer_Service');
    $performer= $service->load_model_from_db($post->ID);
    $booking_page_id = em_global_settings('booking_page');
    $event_service= EventM_Factory::get_service('EventM_Service');
    $profile   = em_global_settings('profile_page');
    $currency_symbol = em_currency_symbol();
?>
<div class="emagic">
    <!-- .content-area starts-->
    <div id="em_primary" class="em_content_area">
        <div id="post-<?php echo $performer->id; ?>">
            <div class="em_performer_profile dbfl">     
                   <!---- Side-bar----->  
                    <div class="kf-event-cover dbfl">
                        <div class="kf-single-performer">
                            <img src="<?php if (!empty($performer->feature_image_id)) echo wp_get_attachment_image_src($performer->feature_image_id, 'large')[0]; else echo esc_url(plugins_url('/images/dummy-performer.png', __FILE__)); ?>" alt="<?php _e('Performer Feature Image','eventprime-event-calendar-management'); ?>">
                        </div>
                        <div class="ep-single-performer-head em_block dbfl">
                            <div class="kf-performer-name difl " title="<?php echo $performer->name; ?>"><?php echo $performer->name; ?></div>   
                        <?php if(isset($performer->role)): ?>                   
                                <div class="kf-performer-role em_color difr">
                                    <?php echo $performer->role; ?>
                                </div>
                            <?php endif; ?>   
                        </div>
                    </div>
                    <div class="ep-performer-description em_block dbfl">
                        <?php if (isset($performer->description) && $performer->description !== '') echo $performer->description; else _e('No desciption available','eventprime-event-calendar-management'); ?>
                    </div>
            </div>

            <?php $upcoming_events = $event_service->upcoming_events_for_performer($performer->id); ?>
            <div class="em_performer_events em_block dbfl">
                <div class="kf-row-heading">
                    <span class="kf-row-title"><?php _e('Upcoming Events','eventprime-event-calendar-management'); ?>
                        <span class="em_events_count-wrap em_bg">
                            <span class="em_events_count_no em_color"><?php echo count($upcoming_events); ?></span>
                        </span>
                    </span>
                </div> 
                <?php if(!empty($upcoming_events)): ?>
                    <div class="em_event_list">
                        <?php 
                            foreach ($upcoming_events as $event):
                                $event_url= (absint($event->custom_link_enabled) == 1) ? $event->custom_link : add_query_arg('event', $event->id, get_page_link($global_settings->events_page));
                        ?>
                                <div class="kf-upcoming-event-row em_block dbfl <?php echo empty($event->enable_booking) ? 'em_event_disabled' : ''; ?>">
                                    <div class="kf-upcoming-event-thumb em-col-2 difl">
                                        <a href="<?php echo $event_url; ?>">
                                            <?php $thumbnail = wp_get_attachment_image(get_post_thumbnail_id($event->id)); 
                                                  if(!empty($thumbnail)): echo $thumbnail; 
                                            else:?>  
                                                <img src="<?php echo esc_url(plugins_url('/images/dummy_image_thumbnail.png', __FILE__)) ?>" alt="<?php _e('Dummy Image','eventprime-event-calendar-management'); ?>" > 
                                            <?php endif; ?>
                                        </a>
                                    </div>
                                    <div class="kf-upcoming-event-title em-col-5 em-col-pad20 difl"> <a href="<?php echo $event_url; ?>"><?php echo $event->name ?></a>
                                        <?php    
                                            $start_time = em_get_time($event->start_date);
                                            $end_time= em_get_time($event->end_date); 
                                            $today  = current_time('timestamp' ); 
                                            if($today>$event->start_date){
                                                echo '<span class="kf-live">'.__('Live','eventprime-event-calendar-management').'</span>';
                                            }
                                            $day= null;
                                            if(em_compare_event_dates($event->id)){
                                               $day= em_showDateTime($event->start_date);
                                               $start_time = em_get_time($event->start_date);
                                               $end_time= em_get_time($event->start_date); 
                                            }
                                            else
                                            {
                                               $start_date= date_i18n(get_option('date_format').' '.get_option('time_format'), $event->start_date);;
                                               $end_date= date_i18n(get_option('date_format').' '.get_option('time_format'), $event->end_date);
                                            }
                                        ?>
                                        <div class="kf-upcoming-event-post-date">
                                            <?php if(!empty($day)): ?>
                                               <div class="em_event_start difl em_wrap">
                                                <?php   echo $day; ?>
                                               </div>
                                               <?php  echo '<div class="em_event_start difl em_wrap">'.$start_time.'  to  '.$end_time.'</div>';
                                            else:  ?>
                                                <div class="em_event_start difl em_wrap">
                                                   <?php echo $start_date; ?> -    
                                                </div>
                                                <div class="em_event_start difl em_wrap">
                                                   <?php echo $end_date; ?>  
                                                </div>
                                           <?php endif; ?> 
                                        </div>
                                    </div>
                                  
                                    <div class="kf-upcoming-event-booking em-col-5 em-col-pad20 difl">
                                        <?php if($event_service->is_bookable($event) && absint($event->custom_link_enabled) != 1): $current_ts = em_current_time_by_timezone();?>
                                            <?php if($event->status=='expired'):?>
                                                   <div class="em_header_button kf-button"><?php _e("Bookings Expired",'eventprime-event-calendar-management'); ?></div>
                                            <?php elseif($current_ts>$event->last_booking_date): ?>
                                                   <div class="em_header_button kf-button"><?php _e("Bookings Closed",'eventprime-event-calendar-management'); ?></div>
                                            <?php elseif($current_ts<$event->start_booking_date): ?>  
                                                   <div class="em_header_button kf-button"><?php _e("Bookings not started yet",'eventprime-event-calendar-management'); ?></div>
                                            <?php else: ?>
                                                <?php if(is_user_logged_in()): ?>
                                                    <form action="<?php echo get_permalink($global_settings->booking_page); ?>" method="post" name="em_booking">
                                                        <button class="em_header_button kf-button em_color" name="tickets" onclick="em_event_booking(<?php echo $event->id ?>)" class="em_header_button" id="em_booking">
                                                            <i class="fa fa-ticket" aria-hidden="true"></i>
                                                            <?php
                                                                _e('Book Now','eventprime-event-calendar-management');
                                                                if ($event->ticket_price > 0)
                                                                    echo " - " . $currency_symbol.$event->ticket_price;
                                                            ?>
                                                        </button>
                                                        <input type="hidden" name="event_id" value="<?php echo $event->id; ?>" />
                                                        <input type="hidden" name="venue_id" value="<?php echo $event->venue; ?>" />
                                                    </form>
                                                <?php else: ?>
                                                    <a class="em_header_button kf-button em_color" target="_blank" href="<?php echo add_query_arg('event_id',$event->id,get_permalink($global_settings->profile_page)); ?>"><?php _e('Book Now','eventprime-event-calendar-management'); ?></a>
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        <?php elseif(absint($event->custom_link_enabled) != 1): ?>
                                            <div class="em_event_attr_box em_eventpage_register difl">
                                                <button class="em_header_button kf-button em_color"><?php _e("Bookings Closed",'eventprime-event-calendar-management'); ?></button>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                            </div>
                    <?php endforeach; ?>
                    </div>    
                    <?php  else: ?>
                      <div class="kf-no-upcoming-event">
                          <?php echo __("No upcoming events found.",'eventprime-event-calendar-management'); ?>
                      </div>
                    <?php endif; ?>
                </div>
            </div>

    </div>
</div>
    <!-- .content-area ends--> 