<?php
wp_enqueue_script('em-public');
wp_enqueue_style('em-public-css');
em_localize_map_info();
wp_enqueue_script('jquery-colorbox');
wp_enqueue_style('em-colorbox-css');
$setting_service = EventM_Factory::get_service('EventM_Setting_Service');
$global_settings= $setting_service->load_model_from_db();
$gmap_api_key = em_global_settings('gmap_api_key');
$events_page_id = em_global_settings("events_page");
$form_action = !empty($events_page_id) ? get_permalink($events_page_id) : "";
$booking_page_id = em_global_settings('booking_page');
$event_service = EventM_Factory::get_service('EventM_Service');
$today = em_current_time_by_timezone();
$currency_symbol= em_currency_symbol();     
if (empty($venue->id))
    return;
?>
<div class="emagic emagic_archive">
    <a></a>
    <!-- .content-area starts-->
    <div id="em_primary" class="em_content_area <?php if (!is_active_sidebar('em_right_sidebar-1')) echo 'em_single_fullwidth'; ?>">
        <?php $events = $service->get_upcoming_events($venue->id); ?>    
        <div class="em_venue_image em_block dbfl">                                                                                 <!-- Div Display First image  from Gallery of Venues -->
            <div class="em_cover_image">
                <?php
                if (!empty($venue->gallery_images)) {
                    echo wp_get_attachment_image($venue->gallery_images[0], 'full');
                } else {
                    echo '<img src="' . esc_url(plugins_url('/images/dummy_image.png', __FILE__)) . '"  class="em-venue-dummy-cover" >';
                }
                ?>
               <div class="kf-event-single-venue-sidebar difl em_bg ">
                <div class="kf-event-col-title em_bg"><?php _e('Details', 'eventprime-event-calendar-management'); ?></div>
                <div class="kf-event-attr-wrap dbfl">
               
                        <?php if ($venue->established): ?>
                        <div class="kf-event-attr dbfl">
                        <div class="organizer_det">
                        <?php echo '<div class="kf-event-attr-name em_color dbfl">' . __('Established', 'eventprime-event-calendar-management') . ': </div><div class="kf-event-attr-value dbfl">' . date_i18n(get_option('date_format'),$venue->established) . '</div>'; ?>
                        </div> 
                     </div>
                        <?php endif; ?>
                   

                <div class="kf-event-attr dbfl">
                <?php
                    if ($venue->type == 'standings'):
                  ?>
                        <div class="kf-event-attr-name em_color dbfl"><?php _e('Type', 'eventprime-event-calendar-management'); ?></div>
                        <div class="kf-event-attr-value dbfl"><?php _e('Standing', 'eventprime-event-calendar-management'); ?></div>

                <?php else: ?>
                        <div class="kf-event-attr-name em_color dbfl"><?php _e('Capacity', 'eventprime-event-calendar-management'); ?></div>
                        <div class="kf-event-attr-value dbfl"> 
                         <?php echo $venue->seating_capacity . ' ' . __('People', 'eventprime-event-calendar-management'); ?>
                        </div>
                        <?php endif; ?>
                </div>

                        <div class="kf-event-attr dbfl">
                        <?php if (!empty($venue->seating_organizer)): ?>
                        <div class="organizer_det">
                        <?php echo '<div class="kf-event-attr-name em_color dbfl">' . __('Coordinator', 'eventprime-event-calendar-management') . ': </div><div class="kf-event-attr-value dbfl"> ' . $venue->seating_organizer . '</div>'; ?>
                        </div>
                        <?php endif; ?>
                        </div>

                <div class="kf-event-attr dbfl">
                        <?php if ($venue->facebook_page): ?>  
                        <div class="kf-event-attr-name em_color dbfl"><?php _e('Facebook', 'eventprime-event-calendar-management'); ?></div>
                        <div class="kf-event-attr-value kf-fb-link dbfl dbfl"><?php echo $venue->facebook_page; ?><a target='_blank' href="<?php echo $venue->facebook_page; ?>"> <i class='fa fa-external-link' aria-hidden='true'></i></a></div>
                    <?php endif; ?>
                </div>
                </div>
               </div>        
            </div>

               <?php if (!empty($venue->name)): ?>
                <div class="kf-single-venue-post-title dbfl ">
                <?php echo $venue->name; ?>
                </div>
                <?php endif; ?>

            <!---Venue Address----->
                 <?php if (!empty($venue->address)): ?>
                <div class="kf-venue-address dbfl">
                <?php echo $venue->address; ?>
                    <span class="kf-vanue-directions">
                        <a target="blank" href='https://www.google.com/maps?saddr=My+Location&daddr=<?php echo urlencode($venue->address); ?>&dirflg=w'>
                     <?php _e('Directions', 'eventprime-event-calendar-management'); ?>
                        </a>
                    </span>    
                </div>  
               <?php endif; ?>
            <!---End Venue Address----->
        </div>  


  
    
    <div  class="ep-venue-description dbfl">
            <?php if (!empty($venue->description)): ?>                    
            <div class="em_venue_desc dbfl">
            <?php echo do_shortcode($venue->description); ?>
            </div>
            <?php else: ?>
            <div class="em_no_venue_desc dbfl"> 
            <?php _e('Venue description not available.', 'eventprime-event-calendar-management'); ?>
            </div>
            <?php endif; ?>                            
    </div>
    
        
        <?php if (!empty($gmap_api_key) && !empty($venue->address)): ?>
        <div class="ep-single-venue-map dbfl">
                    <div class="em-venue-direction">
                        <div class="kf-row-heading">
                            <span class="kf-row-title"><?php _e('Map', 'eventprime-event-calendar-management'); ?></span>
                      </div>
                        
                        <div data-venue-id="<?php echo $venue->id; ?>" id="em_single_venue_map_canvas" style="max-height: 300px; height: 100%"></div>
                    </div> 
        </div>
               <?php endif; ?> 
    
        
        
            <?php if (is_array($venue->gallery_images) && count($venue->gallery_images) > 1): ?>
                <div class="em_photo_gallery em-single-venue-photo-gallery dbfl" >
                    <div class="kf-row-heading">
                            <span class="kf-row-title"><?php _e('Gallery', 'eventprime-event-calendar-management'); ?></span>
                    </div>
                <?php foreach ($venue->gallery_images as $id): ?>
                        <a rel="gal" href="<?php echo wp_get_attachment_url($id); ?>"><?php echo wp_get_attachment_image($id, array(50, 50)); ?> </a>
                    <?php endforeach; ?>  
                </div>
            <?php endif; ?> 
        
    <div class="em_performer_events em_block dbfl">
        <div class="kf-row-heading">
            <span class="kf-row-title"><?php _e('Upcoming Events', 'eventprime-event-calendar-management'); ?>
                <span class="em_events_count-wrap em_bg">
<?php echo '<span class="em_events_count_no em_color">' . count($events) . '</span>'; ?>
                </span>
            </span>
        </div> 
<?php if (!empty($events)) { ?>
            <div class="event_list">
            <?php
            if (is_array($events)):
                $existing_event_ids = array();
                foreach ($events as $event):
                    $existing_event_ids[] = $event->id;
                    $event_url = (absint($event->custom_link_enabled) == 1) ? $event->custom_link : add_query_arg('event', $event->id, get_page_link($global_settings->events_page));
                    ?>
                        <div class="kf-upcoming-event-row em_block dbfl <?php echo empty($event->enable_booking) ? 'em_event_disabled' : ''; ?>">
                            <div class="kf-upcoming-event-thumb em-col-2 difl"> 
                                <a href="<?php echo $event_url; ?>">
                                    <?php
                                    $thumbnail = get_the_post_thumbnail($event->id, 'thumbnail');
                                    if (!empty($thumbnail)):
                                        echo $thumbnail;
                                    else:
                                        ?>  
                                        <img src="<?php echo esc_url(plugins_url('/images/dummy_image_thumbnail.png', __FILE__)) ?>" alt="<?php _e('Dummy Image', 'eventprime-event-calendar-management'); ?>" > 
                                    <?php endif; ?>
                                </a>
                            </div>
                            <div class="kf-upcoming-event-title em-col-6 em-col-pad20 difl"><a href="<?php echo $event_url; ?>"><?php echo $event->name; ?></a>
                                <?php if ($today > $event->start_date && $today <$event->end_date): ?>
                                    <span class="kf-live"><?php _e('Live', 'eventprime-event-calendar-management'); ?></span>
                                <?php endif; ?>
                                <div class="kf-upcoming-event-post-date">
                                    <?php
                                    $start_time = null;
                                    $end_time = null;
                                    $day = null;

                                    if (em_compare_event_dates($event->id)):
                                        $day = date_i18n(get_option('date_format'),$event->start_date);
                                        $start_time = date_i18n(get_option('time_format'),$event->start_date);
                                        $end_time = date_i18n(get_option('time_format'),$event->end_date);
                                    else:
                                        $event->start_date = date_i18n(get_option('date_format').' '.get_option('time_format'),$event->start_date);
                                        $event->end_date = date_i18n(get_option('date_format').' '.get_option('time_format'),$event->end_date);
                                    endif;
                                    ?>
                                    <?php if (!empty($day)): ?>
                                        <div class="em_event_start difl em_wrap">
                                            <?php echo $day; ?>
                                        </div>
                                        <?php echo '<div class="em_event_start difl em_color em_wrap">' . $start_time . '  to  ' . $end_time . '</div>';
                                    else:
                                        ?>
                                        <div class="em_event_start difl em_wrap">
                                            <?php echo $event->start_date; ?> -    
                                        </div>
                                        <div class="em_event_start difl em_wrap">
                                            <?php echo $event->end_date; ?>  
                                        </div>

            <?php endif; ?> 
                                </div>
                            </div>
                            
                            <div class="kf-upcoming-event-booking em-col-4 em-col-pad20 difl">
                                <?php if($event_service->is_bookable($event) && absint($event->custom_link_enabled) != 1): ?>
                                            <?php if($event->status=='expired'):?>
                                                   <div class="em_header_button kf-button"><?php _e("Bookings Expired",'eventprime-event-calendar-management'); ?></div>
                                            <?php elseif($today>$event->last_booking_date): ?>
                                                   <div class="em_header_button kf-button"><?php _e("Bookings Closed",'eventprime-event-calendar-management'); ?></div>
                                            <?php elseif($today<$event->start_booking_date): ?>
                                                   <div class="em_header_button kf-button"><?php _e("Bookings not started yet",'eventprime-event-calendar-management'); ?></div>
                                            <?php else: ?>
                                                <?php if(is_user_logged_in()): ?>
                                                    <form action="<?php echo get_permalink($global_settings->booking_page); ?>" method="post" name="em_booking">
                                                        <button class="em_header_button kf-button em_color" name="tickets" onclick="em_event_booking(<?php echo $event->id ?>)" class="em_header_button" id="em_booking">
                                                            <i class="fa fa-ticket" aria-hidden="true"></i>
                                                            <?php
                                                                _e('Book Now','eventprime-event-calendar-management');
                                                                if ($event->ticket_price > 0)
                                                                    echo " - " . $currency_symbol.$event->ticket_price;
                                                            ?>
                                                        </button>
                                                        <input type="hidden" name="event_id" value="<?php echo $event->id; ?>" />
                                                        <input type="hidden" name="venue_id" value="<?php echo $event->venue; ?>" />
                                                    </form>
                                                <?php else: ?>
                                                    <a class="em_header_button kf-button em_color" target="_blank" href="<?php echo add_query_arg('event_id',$event->id,get_permalink($global_settings->profile_page)); ?>"><?php _e('Book Now','eventprime-event-calendar-management'); ?></a>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    <?php elseif(absint($event->custom_link_enabled) != 1): ?>
                                        <div class="em_event_attr_box em_eventpage_register difl">
                                            <?php if((isset($event->parent) && !empty($event->parent)) && (isset($event->enable_recurrence_automatic_booking) && !empty($event->enable_recurrence_automatic_booking))):?>
                                                <button class="em_header_button kf-button em_color"><?php _e("Bookings not allowed",'eventprime-event-calendar-management'); ?></button>
                                            <?php else: ?>
                                                <button class="em_header_button kf-button em_color"><?php _e("Bookings Closed",'eventprime-event-calendar-management'); ?></button>
                                            <?php endif; ?>
                                        </div>
                                <?php endif; ?>
                            </div>

                        </div>

                        <?php
                    endforeach;
                endif;
                ?>
            </div>   
        <?php }

        else {
            ?>
            <div class="kf-no-upcoming-event"><?php _e("No upcoming events at this venue.",'eventprime-event-calendar-management'); ?></div>
<?php } ?>
    </div>
</div>


<script>
    jQuery(document).ready(function () {
        $ = jQuery;
        $(".em_photo_gallery a").colorbox({width: "75%", height: "75%"});
        em_load_map('single_venue', 'em_single_venue_map_canvas');
    });


</script>
